<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 */

get_header();
?>

    <section class="section">
        <div class="container">
            <div class="section__inner">
                <div class="text-center mt-40 mb-80"><img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/404.svg" alt="<?php echo esc_attr__( '404', 'irepair' ); ?>"></div>
                <div class="row justify-content-center">
                    <div class="col-12 col-xl-4 col-lg-6 col-md-8 mb-80 text-center">
                        <p class="mb-60"><?php esc_html_e( 'Unfortunately, something went wrong and this page does not exist. Try using the search or return to the previous page.', 'irepair' ); ?></p>
                        <a id="pix-btn-go-back" class="btn btn-accent" href="<?php echo esc_url( home_url( '/') ); ?>"><?php esc_html_e( 'go back', 'irepair' ); ?></a>
                    </div>
                </div>
            </div>
        </div>
    </section>

<?php get_footer();
