<?php
/**
 * The template for displaying portfolio archive.
 */

get_header();

$irepair_get_layout = irepair_get_layout();
$irepair_layout = $irepair_get_layout['layout'];
$irepair_sidebar = $irepair_get_layout['sidebar'];
$irepair_layout_class = $irepair_get_layout['class'];
?>

    <section class="section pt-80 pb-120">
        <div class="container">
            <div class="row">
                <div class="<?php echo esc_attr( $irepair_layout_class ); ?>">
                    <?php
                    $irepair_all_projects_id = irepair_get_option( 'archive_portfolio_page', 'default' );
                    if ( $irepair_all_projects_id && $irepair_all_projects_id != 'default' ) :
                        if ( function_exists( 'icl_object_id' ) ) :
                            $irepair_all_projects_id = icl_object_id( $irepair_all_projects_id, 'page', true );
                        endif;
                        irepair_get_section_content( $irepair_all_projects_id );
                    else :

                        if ( have_posts() ) :

                            $irepair_archive_portfolio_cols = irepair_get_option( 'portfolio_archive_cols', '3' );

                            $irepair_add_class = '';
                            if ( '2' === $irepair_archive_portfolio_cols ) {
                                $irepair_add_class = 'row-cols-lg-2';
                            } elseif ( '3' === $irepair_archive_portfolio_cols ) {
                                $irepair_add_class = 'row-cols-lg-2 row-cols-xl-3';
                            } elseif ( '4' === $irepair_archive_portfolio_cols ) {
                                $irepair_add_class = 'row-cols-md-2 row-cols-lg-3 row-cols-xy-4';
                            }
                            ?>

                            <div class="projects">

                                <?php
                                $args = array(
                                    'show_count' => 0,
                                    'title_li' => '',
                                    'depth' => 1,
                                    'taxonomy' => 'pix-portfolio-category',
                                    'hide_title_if_empty' => true,
                                    'separator' => '',
                                );

                                $projects = get_categories( $args );
                                if ( ! empty( $projects ) ) :
                                ?>

                                <div class="projects__top">
                                    <ul class="projects__filter">
                                        <li class="current-cat">
                                            <?php if ( $irepair_all_projects_id && $irepair_all_projects_id != 'default' ) :
                                                if ( function_exists( 'icl_object_id' ) ) :
                                                    $irepair_all_projects_id = icl_object_id( $irepair_all_projects_id, 'page', true );
                                                endif; ?>
                                                <a href="<?php echo esc_url( get_page_link( $irepair_all_projects_id ) ); ?>" ><?php echo esc_html__( 'All', 'irepair' ); ?></a>
                                            <?php else : ?>
                                                <a href="<?php echo get_post_type_archive_link( 'pix-portfolio' ); ?>" ><?php echo esc_html__( 'All', 'irepair' ); ?></a>
                                            <?php endif; ?>
                                        </li>
                                        <?php wp_list_categories( $args ); ?>
                                    </ul>
                                </div>
                                <?php
                                endif;
                                ?>

                                <div class="projects__container row mb-n30 row-cols-1 <?php echo esc_attr( $irepair_add_class ); ?>">

                                <?php
                                while ( have_posts() ) : the_post();

                                    get_template_part( 'template-parts/portfolio/content' );

                                endwhile;
                                ?>

                                </div>
                                <?php if ( get_next_posts_link( '', $wp_query->max_num_pages ) ) : ?>
                                <div class="projects__btn pix-portfolio-loadmore">
                                    <a class="btn btn-black" href="#" data-current="<?php echo esc_attr( $paged ); ?>" data-max-pages="<?php echo esc_attr( $wp_query->max_num_pages ); ?>"><?php echo esc_html__( 'more projects', 'irepair' ); ?><i class="pix-icon-caret-right"></i></a>
                                </div>
                                <?php endif; ?>
                            </div>
                        <?php
                        endif;

                endif;
                ?>

                </div>
                <?php irepair_show_sidebar( $irepair_layout, $irepair_sidebar ); ?>
            </div>
        </div>
    </section>

<?php get_footer();
