( function( $, customize ) {

    "use strict";

    customize.bind( 'ready', function() {
        customize( 'irepair_logo', function( value ) {
            var width = customize.control( 'irepair_logo_width' ).setting.get();
            if( value.get() ) {
                var img = customize.control( 'irepair_logo' ).container.find( '.thumbnail.thumbnail-image img' );
                if( img[0] ) {
                    img[0].width = width;
                }
            }
            value.bind( function( to ) {
                if( to != '' ) {
                    var img = customize.control( 'irepair_logo' ).container.find( '.thumbnail.thumbnail-image img' );
                    if( img[0] ) {
                        img[0].width = width;
                    }
                }
            } );
        } );
    } );

    customize.bind( 'ready', function() {
        customize( 'irepair_logo_width', function( value ) {
            value.bind( function( to ) {
                var img = customize.control( 'irepair_logo' ).container.find( '.thumbnail.thumbnail-image img' );
                if( img[0] ) {
                    img[0].width = to;
                }
            } );
        } );
    } );

    customize.bind( 'ready', function() {
        customize( 'irepair_show_post_readmore', function( value ) {
            if( value.get() ) {
                customize.control( 'irepair_post_readmore' ).container.show();
            } else {
               customize.control( 'irepair_post_readmore' ).container.hide();
            }

            value.bind( function( to ) {
                if( to ) {
                    customize.control( 'irepair_post_readmore' ).container.show();
                } else {
                   customize.control( 'irepair_post_readmore' ).container.hide();
                }
            } );
        } );
    } );

    customize.bind( 'ready', function() {
        customize( 'irepair_header_catalog_categories', function( value ) {
            if( value.get() == 'selected' ) {
                customize.control( 'irepair_header_catalog_selected_categories' ).container.show();
            } else {
               customize.control( 'irepair_header_catalog_selected_categories' ).container.hide();
            }

            value.bind( function( to ) {
                if( to == 'selected' ) {
                    customize.control( 'irepair_header_catalog_selected_categories' ).container.show();
                } else {
                   customize.control( 'irepair_header_catalog_selected_categories' ).container.hide();
                }
            } );
        } );
    } );

    customize.bind( 'ready', function() {
        customize( 'irepair_show_shop_badge_new', function( value ) {
            if( value.get() ) {
                customize.control( 'irepair_shop_badge_new_days' ).container.show();
            } else {
               customize.control( 'irepair_shop_badge_new_days' ).container.hide();
            }

            value.bind( function( to ) {
                if( to ) {
                    customize.control( 'irepair_shop_badge_new_days' ).container.show();
                } else {
                   customize.control( 'irepair_shop_badge_new_days' ).container.hide();
                }
            } );
        } );
    } );

    customize.bind( 'ready', function() {
        customize( 'irepair_product_images_style', function( value ) {
            if( value.get() == 'default' ) {
                customize.control( 'irepair_use_product_gallery_zoom' ).container.show();
                customize.control( 'irepair_use_product_gallery_lightbox' ).container.show();
            } else {
               customize.control( 'irepair_use_product_gallery_zoom' ).container.hide();
               customize.control( 'irepair_use_product_gallery_lightbox' ).container.hide();
            }

            value.bind( function( to ) {
                if( to == 'default' ) {
                    customize.control( 'irepair_use_product_gallery_zoom' ).container.show();
                    customize.control( 'irepair_use_product_gallery_lightbox' ).container.show();
                } else {
                   customize.control( 'irepair_use_product_gallery_zoom' ).container.hide();
                   customize.control( 'irepair_use_product_gallery_lightbox' ).container.hide();
                }
            } );
        } );
    } );

}( jQuery, wp.customize ));