<?php

require_once get_template_directory() . '/customizer/panels/general.php';
require_once get_template_directory() . '/customizer/panels/header.php';
require_once get_template_directory() . '/customizer/panels/layout.php';
require_once get_template_directory() . '/customizer/panels/blog.php';
if ( irepair_use_woo() ) {
    require_once get_template_directory() . '/customizer/panels/shop.php';
}
if ( irepair_use_portfolio() ) {
    require_once get_template_directory() . '/customizer/panels/portfolio.php';
}
require_once get_template_directory() . '/customizer/panels/footer.php';

if ( ! function_exists( 'irepair_customize_register' ) ) :

    function irepair_customize_register( $wp_customize ) {

        irepair_customize_general_tab( $wp_customize, 'irepair' );

        irepair_customize_header_tab( $wp_customize, 'irepair' );

        irepair_customize_layout_tab( $wp_customize, 'irepair' );

        irepair_customize_blog_tab( $wp_customize, 'irepair' );

        if ( irepair_use_woo() ) {
            irepair_customize_shop_tab( $wp_customize, 'irepair' );
        }

        if ( irepair_use_portfolio() ) {
            irepair_customize_portfolio_tab( $wp_customize, 'irepair' );
        }

        irepair_customize_footer_tab( $wp_customize, 'irepair' );

        /** Remove unused sections */
        $removedSections = apply_filters( 'irepair_admin_customize_removed_sections', array( 'header_image', 'background_image', 'colors' ) );
        foreach ( $removedSections as $sectionName ) {
            $wp_customize->remove_section( $sectionName );
        }

    }

endif;

add_action( 'customize_register', 'irepair_customize_register' );
