<?php

function irepair_customize_blog_tab( $wp_customize, $theme_name ) {

    $wp_customize->add_panel(
        'irepair_blog_panel',
        array(
            'title' => esc_html__( 'Blog', 'irepair' ),
            'priority' => 33,
        )
    );

    $wp_customize->add_section(
        'irepair_blog_settings',
        array(
            'title' => esc_html__( 'Blog', 'irepair' ),
            'panel' => 'irepair_blog_panel',
            'priority' => 10,
        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_author',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_author',
        array(
            'label'    => esc_html__( 'Show Author', 'irepair' ),
            'section'  => 'irepair_blog_settings',
            'type'     => 'checkbox',
            'priority' => 10

        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_date',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_date',
        array(
            'label'    => esc_html__( 'Show Date', 'irepair' ),
            'section'  => 'irepair_blog_settings',
            'type'     => 'checkbox',
            'priority' => 20

        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_categories',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_categories',
        array(
            'label'    => esc_html__( 'Show Categories', 'irepair' ),
            'section'  => 'irepair_blog_settings',
            'type'     => 'checkbox',
            'priority' => 30

        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_tags',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_tags',
        array(
            'label'    => esc_html__( 'Show Tags', 'irepair' ),
            'section'  => 'irepair_blog_settings',
            'type'     => 'checkbox',
            'priority' => 40

        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_comments',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_comments',
        array(
            'label'    => esc_html__( 'Show Comments', 'irepair' ),
            'section'  => 'irepair_blog_settings',
            'type'     => 'checkbox',
            'priority' => 50

        )
    );

    $wp_customize->add_section(
        'irepair_posts_settings',
        array(
            'title' => esc_html__( 'Posts Archive', 'irepair' ),
            'panel' => 'irepair_blog_panel',
            'priority' => 20,
        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_readmore',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_readmore',
        array(
            'label'    => esc_html__( 'Show Read more button', 'irepair' ),
            'section'  => 'irepair_posts_settings',
            'type'     => 'checkbox',
            'priority' => 10

        )
    );

    $wp_customize->add_setting(
        'irepair_post_readmore',
        array(
            'default'     => esc_html__( 'read more', 'irepair' ),
            'transport'   => 'refresh',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'irepair_post_readmore',
        array(
            'label'    => esc_html__( 'Read More button text', 'irepair' ),
            'section'  => 'irepair_posts_settings',
            'type'     => 'text',
            'priority' => 20
        )
    );

    $wp_customize->add_section(
        'irepair_post_settings',
        array(
            'title' => esc_html__( 'Post', 'irepair' ),
            'panel' => 'irepair_blog_panel',
            'priority' => 30,
        )
    );

    $wp_customize->add_setting(
        'irepair_show_post_author_block',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_post_author_block',
        array(
            'label'    => esc_html__( 'Show Author Block on Single Post Page', 'irepair' ),
            'section'  => 'irepair_post_settings',
            'type'     => 'checkbox',
            'priority' => 10

        )
    );

}
