<?php

function irepair_customize_footer_tab( $wp_customize, $theme_name ) {

    $wp_customize->add_section(
        'irepair_footer_settings',
        array(
            'title' => esc_html__( 'Footer', 'irepair' ),
            'priority' => 80,
        )
    );

    $staticBlocks = irepair_get_staticblocks_array( true );

    $wp_customize->add_setting(
        'irepair_footer_block',
        array(
            'default' => 'default',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_footer_block',
        array(
            'label'    => esc_html__( 'Global Footer Block', 'irepair' ),
            'section'  => 'irepair_footer_settings',
            'type'     => 'select',
            'choices'  => $staticBlocks,
            'priority' => 10
        )
    );

    $wp_customize->add_setting(
        'irepair_footer_copyright_text',
        array(
            'default' => sprintf( esc_html__( '© %s iRepair Company ltd', 'irepair' ), date( 'Y' ) ),
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_textarea_field',
        )
    );

    $wp_customize->add_control(
        'irepair_footer_copyright_text',
        array(
            'label'    => esc_html__( 'Copyright text', 'irepair' ),
            'section'  => 'irepair_footer_settings',
            'type'     => 'textarea',
            'priority' => 20
        )
    );

}
