<?php

function irepair_customize_general_tab( $wp_customize, $theme_name ) {

    $wp_customize->add_panel(
        'irepair_general_panel',
        array(
            'title' => esc_html__( 'General Settings', 'irepair' ),
            'priority' => 25
        )
    );

    $wp_customize->add_section(
        'irepair_general_settings',
        array(
            'title' => esc_html__( 'Logo', 'irepair' ),
            'panel' => 'irepair_general_panel',
            'priority' => 10,
        )
    );

    $wp_customize->add_setting(
        'irepair_logo',
        array(
            'transport' => 'postMessage',
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'irepair_logo',
            array(
               'label' => esc_html__( 'Image', 'irepair' ),
               'section' => 'irepair_general_settings',
               'priority' => 10
            )
       )
    );

    $wp_customize->add_setting(
        'irepair_logo_width',
        array(
            'default'           => get_option( 'irepair_default_logo_width' ),
            'sanitize_callback' => 'absint',
            'transport'         => 'postMessage',
        )
    );

    $wp_customize->add_control(
        'irepair_logo_width',
        array(
            'label' => esc_html__( 'Max Width', 'irepair' ),
            'section' => 'irepair_general_settings',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 300,
                'step' => 1,
            ),
            'priority' => 20
        )
    );

    $wp_customize->add_section(
        'irepair_style_settings',
        array(
            'title' => esc_html__( 'Colors', 'irepair' ),
            'panel' => 'irepair_general_panel',
            'priority' => 20,
        )
    );

    $wp_customize->add_setting(
        'irepair_accent_color',
        array(
            'default' => get_option( 'irepair_default_accent_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_accent_color',
            array(
                'label' => esc_html__( 'Accent Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_compliment_color',
        array(
            'default' => get_option( 'irepair_default_compliment_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_compliment_color',
            array(
                'label' => esc_html__( 'Compliment Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_bg_color',
        array(
            'default' => get_option( 'irepair_default_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_bg_color',
            array(
                'label' => esc_html__( 'Site Background Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_section_bg_color',
        array(
            'default' => get_option( 'irepair_default_section_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_section_bg_color',
            array(
                'label' => esc_html__( 'Section Background Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_item_bg_color',
        array(
            'default' => get_option( 'irepair_default_item_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_item_bg_color',
            array(
                'label' => esc_html__( 'Item Background Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_highlight_bg_color',
        array(
            'default' => get_option( 'irepair_default_highlight_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_highlight_bg_color',
            array(
                'label' => esc_html__( 'Highlight Background Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_text_color',
        array(
            'default' => get_option( 'irepair_default_text_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_text_color',
            array(
                'label' => esc_html__( 'Text Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_text_color_bright',
        array(
            'default' => get_option( 'irepair_default_text_color_bright' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_text_color_bright',
            array(
                'label' => esc_html__( 'Text Color Bright', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_border_color',
        array(
            'default' => get_option( 'irepair_default_border_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_border_color',
            array(
                'label' => esc_html__( 'Border Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_button_bg_color',
        array(
            'default' => get_option( 'irepair_default_button_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_button_bg_color',
            array(
                'label' => esc_html__( 'Button Background Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_button_bg_color_hover',
        array(
            'default' => get_option( 'irepair_default_button_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_button_bg_color_hover',
            array(
                'label' => esc_html__( 'Button Hover Background Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_button_color',
        array(
            'default' => get_option( 'irepair_default_button_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_button_color',
            array(
                'label' => esc_html__( 'Button Text Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_button_border_color',
        array(
            'default' => get_option( 'irepair_default_button_border_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_button_border_color',
            array(
                'label' => esc_html__( 'Button Border Color', 'irepair' ),
                'section' => 'irepair_style_settings',
            )
        )
    );

    $wp_customize->add_section(
        'irepair_cpt_settings',
        array(
            'title' => esc_html__( 'Custom Post Types', 'irepair' ),
            'panel' => 'irepair_general_panel',
            'priority' => 30
        )
    );

    $wp_customize->add_setting(
        'irepair_use_portfolio',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );
    $wp_customize->add_control(
        'irepair_use_portfolio',
        array(
            'label'    => esc_html__( 'Use post type Portfolio', 'irepair' ),
            'section'  => 'irepair_cpt_settings',
            'type'     => 'checkbox',
        )
    );

    $wp_customize->add_setting(
        'irepair_use_service',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );
    $wp_customize->add_control(
        'irepair_use_service',
        array(
            'label'    => esc_html__( 'Use post type Service', 'irepair' ),
            'section'  => 'irepair_cpt_settings',
            'type'     => 'checkbox',
        )
    );
    
    

    $wp_customize->add_section( 'irepair_other_settings' , array(
        'title'      => esc_html__( 'Other', 'irepair' ),
        'panel' => 'irepair_general_panel',
        'priority'   => 50
    ) );

    $wp_customize->add_setting(
        'irepair_loader',
        array(
            'default' => 'useall',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
     'irepair_loader',
     array(
         'label' => esc_html__( 'Page Loader', 'irepair' ),
         'section' => 'irepair_other_settings',
         'type' => 'select',
         'choices' => array(
             'off' => esc_html__( 'Off', 'irepair' ),
             'usemain' => esc_html__( 'Use on main', 'irepair' ),
             'useall' => esc_html__( 'Use on all pages', 'irepair' ),
         ),
         'priority' => 10,
     )
    );

}

