<?php

function irepair_customize_header_tab( $wp_customize, $theme_name ) {

    $wp_customize->add_panel( 'irepair_header_panel',
        array(
            'title' => esc_html__( 'Header', 'irepair' ),
            'priority' => 30
        )
    );

    
    /// HEADER STICKY ///

    $wp_customize->add_section(
        'irepair_header_settings',
        array(
            'title' => esc_html__( 'Sticky', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 5
        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_sticky',
        array(
            'default' => '',
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
        'irepair_header_sticky',
        array(
            'label'    => esc_html__( 'Sticky', 'irepair' ),
            'section'  => 'irepair_header_settings',
            'type'     => 'select',
            'choices'  => array(
                '' => esc_html__( 'No', 'irepair' ),
                'sticky'  => esc_html__( 'Yes', 'irepair' ),
                'sticky-up'  => esc_html__( 'On Up Scroll', 'irepair' ),
            ),
        )
    );
    
    $wp_customize->add_setting(
        'irepair_logo_sticky',
        array(
            'transport' => 'postMessage',
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'irepair_logo_sticky',
            array(
               'label' => esc_html__( 'Image', 'irepair' ),
               'section' => 'irepair_header_settings',
            )
       )
    );

    $wp_customize->add_setting(
        'irepair_logo_sticky_height',
        array(
            'default'           => get_option( 'irepair_default_logo_sticky_height' ),
            'sanitize_callback' => 'absint',
            'transport'         => 'postMessage',
        )
    );
    $wp_customize->add_control(
        'irepair_logo_sticky_height',
        array(
            'label' => esc_html__( 'Max Height', 'irepair' ),
            'section' => 'irepair_header_settings',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 150,
                'step' => 1,
            ),
        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_sticky_bg_color',
        array(
            'default' => '#ffffff',
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
    	new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_header_sticky_bg_color',
            array(
                'label' => esc_html__( 'Background Color', 'irepair' ),
                'section' => 'irepair_header_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_header_sticky_color',
        array(
            'default' => '#212529',
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
    	new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_header_sticky_color',
            array(
                'label' => esc_html__( 'Text Color', 'irepair' ),
                'section' => 'irepair_header_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_sticky_submenu_bg_color',
        array(
            'default' => '#ffffff',
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
    	new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_sticky_submenu_bg_color',
            array(
                'label' => esc_html__( 'Submenu Background Color', 'irepair' ),
                'section' => 'irepair_header_settings',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_sticky_submenu_color',
        array(
            'default' => '#212529',
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_sticky_submenu_color',
            array(
                'label' => esc_html__( 'Submenu Text Color', 'irepair' ),
                'section' => 'irepair_header_settings',
            )
        )
    );
    
    
    /// HEADER COLORS ///
    
    $wp_customize->add_section(
        'irepair_header_settings_style',
        array(
            'title' => esc_html__( 'Colors', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 10
        )
    );

    $wp_customize->add_setting(
        'irepair_header_bg_color',
        array(
            'default' => get_option( 'irepair_default_header_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_header_bg_color',
        array(
            'label'    => esc_html__( 'Header Background Color', 'irepair' ),
            'section'  => 'irepair_header_settings_style',
            'type'     => 'select',
            'choices'  => array(
                'accent_color' => esc_html__( 'Accent', 'irepair' ),
                'compliment_color' => esc_html__( 'Compliment', 'irepair' ),
                'additional_color' => esc_html__( 'Additional', 'irepair' ),
                'white_color' => esc_html__( 'White', 'irepair' ),
                'black_color' => esc_html__( 'Black', 'irepair' ),
            ),
        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_opacity',
        array(
            'default'           => get_option( 'irepair_default_header_opacity' ),
            'sanitize_callback' => 'absint',
            'transport'         => 'postMessage',
        )
    );

    $wp_customize->add_control(
        'irepair_header_opacity',
        array(
            'label' => esc_html__( 'Header Background Opacity', 'irepair' ),
            'section' => 'irepair_header_settings_style',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 100,
                'step' => 1,
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_submenu_bg_color',
        array(
            'default' => get_option( 'irepair_default_submenu_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_submenu_bg_color',
        array(
            'label'    => esc_html__( 'Submenu Background Color', 'irepair' ),
            'section'  => 'irepair_header_settings_style',
            'type'     => 'select',
            'choices'  => array(
                'accent_color' => esc_html__( 'Accent', 'irepair' ),
                'compliment_color' => esc_html__( 'Compliment', 'irepair' ),
                'additional_color' => esc_html__( 'Additional', 'irepair' ),
                'white_color' => esc_html__( 'White', 'irepair' ),
                'black_color' => esc_html__( 'Black', 'irepair' ),
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_header_hover_color',
        array(
            'default' => 'additional_color',
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_header_hover_color',
        array(
            'label'    => esc_html__( 'Hover Color', 'irepair' ),
            'section'  => 'irepair_header_settings_style',
            'type'     => 'select',
            'choices'  => array(
                'accent_color' => esc_html__( 'Accent', 'irepair' ),
                'compliment_color' => esc_html__( 'Compliment', 'irepair' ),
                'additional_color' => esc_html__( 'Additional', 'irepair' ),
                'white_color' => esc_html__( 'White', 'irepair' ),
                'black_color' => esc_html__( 'Black', 'irepair' ),
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_header_color',
        array(
            'default' => 'text-default',
            'transport' => 'postMessage',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_header_color',
        array(
            'label'    => esc_html__( 'Text Color', 'irepair' ),
            'section'  => 'irepair_header_settings_style',
            'type'     => 'select',
            'choices'  => array(
                'text-default' => esc_html__( 'Default (Black)', 'irepair' ),
                'text-inverse' => esc_html__( 'Inverse', 'irepair' ),
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_submenu_color',
        array(
            'default' => get_option( 'irepair_default_text_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_submenu_color',
            array(
                'label' => esc_html__( 'Submenu Text Color', 'irepair' ),
                'section' => 'irepair_header_settings_style',
            )
        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_button_bg_color',
        array(
            'default' => get_option( 'irepair_default_button_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_header_button_bg_color',
            array(
                'label' => esc_html__( 'Button Background Color', 'irepair' ),
                'section' => 'irepair_header_settings_style',
            )
        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_button_bg_color_hover',
        array(
            'default' => get_option( 'irepair_default_button_bg_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_header_button_bg_color_hover',
            array(
                'label' => esc_html__( 'Button Hover Background Color', 'irepair' ),
                'section' => 'irepair_header_settings_style',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_header_button_opacity',
        array(
            'default'           => 100,
            'sanitize_callback' => 'absint',
            'transport'         => 'postMessage',
        )
    );
    $wp_customize->add_control(
        'irepair_header_button_opacity',
        array(
            'label' => esc_html__( 'Button Background Opacity', 'irepair' ),
            'section' => 'irepair_header_settings_style',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 100,
                'step' => 1,
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_header_button_color',
        array(
            'default' => get_option( 'irepair_default_button_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_header_button_color',
            array(
                'label' => esc_html__( 'Button Text Color', 'irepair' ),
                'section' => 'irepair_header_settings_style',
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_header_button_border_color',
        array(
            'default' => get_option( 'irepair_default_button_border_color' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'irepair_header_button_border_color',
            array(
                'label' => esc_html__( 'Button Border Color', 'irepair' ),
                'section' => 'irepair_header_settings_style',
            )
        )
    );
    

    /// HEADER CATALOG ///

    if ( irepair_use_woo() ) :

    $wp_customize->add_section(
        'irepair_header_settings_catalog',
        array(
            'title' => esc_html__( 'Catalog', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 20
        )
    );

    $wp_customize->add_setting(
        'irepair_show_header_catalog',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_header_catalog',
        array(
            'label'    => esc_html__( 'Show Catalog in Header', 'irepair' ),
            'section'  => 'irepair_header_settings_catalog',
            'type'     => 'checkbox',
            'priority' => 10

        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_catalog_title',
        array(
            'default' => esc_html__( 'Catalog', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control(
        'irepair_header_catalog_title',
        array(
            'label' => esc_html__( 'Catalog Title', 'irepair' ),
            'description'    => esc_html__( 'Enter text to display on catalog button.', 'irepair'),
            'section'  => 'irepair_header_settings_catalog',
            'type' => 'text',
            'priority' => 15
        )
    );

    $wp_customize->add_setting(
        'irepair_header_catalog_categories',
        array(
            'default' => 'all',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
        'irepair_header_catalog_categories',
        array(
            'label'    => esc_html__( 'Show Categories in Catalog', 'irepair' ),
            'section'  => 'irepair_header_settings_catalog',
            'type'     => 'select',
            'choices'  => array(
                'all'  => esc_html__( 'All categories', 'irepair' ),
                'selected' => esc_html__( 'Selected categories', 'irepair' ),
            ),
            'priority' => 20

        )
    );

    $wp_customize->add_setting(
        'irepair_header_catalog_selected_categories',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control(
        new iRepair_Checkbox_Multiple_Product_Categories_Control(
            $wp_customize,
            'irepair_header_catalog_selected_categories',
            array(
                'label' => esc_html__( 'Select categories to show in catalog', 'irepair' ),
                'description' => esc_html__( 'Select categories to show in catalog. If no category is selected, then all categories will be shown in the catalog.', 'irepair' ),
                'section'  => 'irepair_header_settings_catalog',
                'priority' => 30,
            )
        )
    );

	$wp_customize->add_setting( 'irepair_header_catalog_height' , array(
        'default'     => 'pix-catalog-100',
        'transport'   => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'
	) );
	$wp_customize->add_control(
        'irepair_header_catalog_height',
        array(
            'label'    => esc_html__( 'Catalog Height', 'irepair' ),
            'section'  => 'irepair_header_settings_catalog',
            'type'     => 'select',
            'choices'  => array(
                'pix-catalog-100' => esc_html__( '100%', 'irepair' ),
                'pix-catalog-overlay'  => esc_html__( 'With Vertical Scroll', 'irepair' ),
                'pix-catalog-hide'  => esc_html__( 'Hide Subcategories', 'irepair' ),
            ),
        )
	);

    /* banner */
    $wp_customize->add_setting(
        'irepair_header_catalog_banner_img',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'irepair_header_catalog_banner_img',
            array(
               'label' => esc_html__( 'Banner Image', 'irepair' ),
               'description' => esc_html__( 'Size 475x800px', 'irepair' ),
               'section' => 'irepair_header_settings_catalog',
               'priority' => 40
            )
        )
    );

    $wp_customize->add_setting(
        'irepair_header_catalog_banner_text',
        array(
            'transport'   => 'refresh',
            'sanitize_callback' => 'sanitize_text_field',
        )
    );

    $wp_customize->add_control(
        'irepair_header_catalog_banner_text',
        array(
            'label'    => esc_html__( 'Banner text', 'irepair' ),
            'section'  => 'irepair_header_settings_catalog',
            'type'     => 'text',
            'priority' => 50
        )
    );

    $wp_customize->add_setting(
        'irepair_header_catalog_banner_url',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'esc_url',
        )
    );

    $wp_customize->add_control(
        'irepair_header_catalog_banner_url',
        array(
            'label'    => esc_html__( 'Banner url', 'irepair' ),
            'section'  => 'irepair_header_settings_catalog',
            'type'     => 'url',
            'priority' => 60
        )
    );

    endif;

    
    
    /// HEADER BUTTONS ///

    $wp_customize->add_section(
        'irepair_header_settings_buttons',
        array(
            'title' => esc_html__( 'Buttons', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 25
        )
    );

    $wp_customize->add_setting(
        'irepair_show_header_button',
        array(
            'default' => false,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );
    $wp_customize->add_control(
        'irepair_show_header_button',
        array(
            'label'    => esc_html__( 'Show Button in Header', 'irepair' ),
            'section'  => 'irepair_header_settings_buttons',
            'type'     => 'checkbox',
        )
    );

    
    
    /// HEADER ELEMENTS ///

    $wp_customize->add_section(
        'irepair_header_settings_elements',
        array(
            'title' => esc_html__( 'Elements', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 30
        )
    );

    $wp_customize->add_setting(
        'irepair_show_header_button',
        array(
            'default' => false,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );
    $wp_customize->add_control(
        'irepair_show_header_button',
        array(
            'label'    => esc_html__( 'Show Button in Header', 'irepair' ),
            'section'  => 'irepair_header_settings_elements',
            'type'     => 'checkbox',

        )
    );

	$wp_customize->add_setting(
		'irepair_header_button_text',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'wp_kses'
	) );
	$wp_customize->add_control(
		'irepair_header_button_text',
		array(
			'label'    => esc_html__( 'Button Text', 'irepair' ),
			'section'  => 'irepair_header_settings_elements',
			'settings' => 'irepair_header_button_text',
			'type'     => 'text',
		)
	);

	$wp_customize->add_setting(
		'irepair_header_button_link',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_url'
	) );
	$wp_customize->add_control(
		'irepair_header_button_link',
		array(
			'label'    => esc_html__( 'Button Link', 'irepair' ),
			'section'  => 'irepair_header_settings_elements',
			'settings' => 'irepair_header_button_link',
			'type'     => 'text',
		)
	);

    $wp_customize->add_setting(
        'irepair_show_header_search',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_header_search',
        array(
            'label'    => esc_html__( 'Show Search in Header', 'irepair' ),
            'section'  => 'irepair_header_settings_elements',
            'type'     => 'checkbox',

        )
    );

    if ( irepair_use_compare() ) :

        $wp_customize->add_setting(
            'irepair_show_header_compare',
            array(
                'default' => true,
                'transport' => 'refresh',
                'sanitize_callback' => 'irepair_sanitize_checkbox'
            )
        );

        $wp_customize->add_control(
            'irepair_show_header_compare',
            array(
                'label'    => esc_html__( 'Show Compare in Header', 'irepair' ),
                'section'  => 'irepair_header_settings_elements',
                'type'     => 'checkbox',

            )
        );

    endif;

    if ( irepair_use_wishlist() ) :

        $wp_customize->add_setting(
            'irepair_show_header_wishlist',
            array(
                'default' => true,
                'transport' => 'refresh',
                'sanitize_callback' => 'irepair_sanitize_checkbox'
            )
        );

        $wp_customize->add_control(
            'irepair_show_header_wishlist',
            array(
                'label'    => esc_html__( 'Show Wishlist in Header', 'irepair' ),
                'section'  => 'irepair_header_settings_elements',
                'type'     => 'checkbox',

            )
        );

    endif;

    if ( irepair_use_woo() ) :

        $wp_customize->add_setting(
            'irepair_show_header_cart',
            array(
                'default' => true,
                'transport' => 'refresh',
                'sanitize_callback' => 'irepair_sanitize_checkbox'
            )
        );

        $wp_customize->add_control(
            'irepair_show_header_cart',
            array(
                'label'    => esc_html__( 'Show Mini Cart in Header', 'irepair' ),
                'section'  => 'irepair_header_settings_elements',
                'type'     => 'checkbox',

            )
        );

    endif;
    
    
    
    /// SOCIALS ///

    $wp_customize->add_section(
        'irepair_header_settings_socials',
        array(
            'title' => esc_html__( 'Socials', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 33
        )
    );
    
	$wp_customize->add_setting(
		'irepair_header_facebook',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_url'
	) );
	$wp_customize->add_control(
		'irepair_header_facebook',
		array(
			'label'    => esc_html__( 'Facebook Link', 'irepair' ),
			'section'  => 'irepair_header_settings_socials',
			'settings' => 'irepair_header_facebook',
			'type'     => 'text',
		)
	);
 
	$wp_customize->add_setting(
		'irepair_header_twitter',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_url'
	) );
	$wp_customize->add_control(
		'irepair_header_twitter',
		array(
			'label'    => esc_html__( 'Twitter Link', 'irepair' ),
			'section'  => 'irepair_header_settings_socials',
			'settings' => 'irepair_header_twitter',
			'type'     => 'text',
		)
	);
 
	$wp_customize->add_setting(
		'irepair_header_instagram',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_url'
	) );
	$wp_customize->add_control(
		'irepair_header_instagram',
		array(
			'label'    => esc_html__( 'Instagram Link', 'irepair' ),
			'section'  => 'irepair_header_settings_socials',
			'settings' => 'irepair_header_instagram',
			'type'     => 'text',
		)
	);
 
	$wp_customize->add_setting(
		'irepair_header_linkedin',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_url'
	) );
	$wp_customize->add_control(
		'irepair_header_linkedin',
		array(
			'label'    => esc_html__( 'LinkedIn Link', 'irepair' ),
			'section'  => 'irepair_header_settings_socials',
			'settings' => 'irepair_header_linkedin',
			'type'     => 'text',
		)
	);
 
	$wp_customize->add_setting(
		'irepair_header_social_custom',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control(
		'irepair_header_social_custom',
		array(
			'label'    => esc_html__( 'Custom Social (icon class)', 'irepair' ),
			'section'  => 'irepair_header_settings_socials',
			'settings' => 'irepair_header_social_custom',
			'type'     => 'text',
		)
	);
 
	$wp_customize->add_setting(
		'irepair_header_social_custom_link',
		array(
			'default'     => '',
			'transport'   => 'postMessage',
			'sanitize_callback' => 'esc_url'
	) );
	$wp_customize->add_control(
		'irepair_header_social_custom_link',
		array(
			'label'    => esc_html__( 'Custom Social Link', 'irepair' ),
			'section'  => 'irepair_header_settings_socials',
			'settings' => 'irepair_header_social_custom_link',
			'type'     => 'text',
		)
	);
    
    

    /// BACKGROUND IMAGE ///

    $wp_customize->add_section(
        'irepair_header_settings_bg_image',
        array(
            'title' => esc_html__( 'Background Image', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 35
        )
    );
    
    $wp_customize->add_setting( 'irepair_header_bg_image' , array(
        'default'     => '',
        'transport'   => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'
    ) );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'irepair_header_bg_image',
            array(
                'label'      => esc_html__( 'Background Image', 'irepair' ),
                'section'    => 'irepair_header_settings_bg_image',
                'settings'   => 'irepair_header_bg_image',
            )
        )
    );
    
    

    /// TITLE & BREADCRUMBS ///

    $wp_customize->add_section(
        'irepair_header_settings_title_breadcrumbs',
        array(
            'title' => esc_html__( 'Title & Breadcrumbs', 'irepair' ),
            'panel' => 'irepair_header_panel',
            'priority' => 40
        )
    );

    $wp_customize->add_setting(
        'irepair_title_breacrumbs_display',
        array(
            'default' => 'show',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
        'irepair_title_breacrumbs_display',
        array(
            'label' => esc_html__( 'Title & Breadcrumbs Show', 'irepair' ),
            'section' => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'select',
            'choices' => array(
                'show' => esc_html__( 'Show Both', 'irepair' ),
                'hide_title' => esc_html__( 'Hide Title', 'irepair' ),
                'hide_breadcrumbs' => esc_html__( 'Hide Breadcrumbs', 'irepair' ),
                'hide' => esc_html__( 'Hide Both', 'irepair' ),
            ),
            'priority' => 10
        )
    );

    $wp_customize->add_setting(
        'irepair_show_breadcrumbs_current',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );
    $wp_customize->add_control(
        'irepair_show_breadcrumbs_current',
        array(
            'label' => esc_html__( 'Breadcrumbs Show Current Page', 'irepair' ),
            'section' => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'checkbox',
            'priority' => 20
        )
    );

    $wp_customize->add_setting(
        'irepair_header_home_title',
        array(
            'default' => esc_html__( 'Blog', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_home_title',
        array(
            'label' => esc_html__( 'Home Title', 'irepair' ),
            'description'    => esc_html__( 'Enter text to display on front latest posts page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 30
        )
    );

    $wp_customize->add_setting(
        'irepair_header_search_title',
        array(
            'default' => esc_html__( 'Search results for:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_search_title',
        array(
            'label' => esc_html__( 'Search Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on search results page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 40
        )
    );

    $wp_customize->add_setting(
        'irepair_header_404_title',
        array(
            'default' => esc_html__( 'Page not found', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_404_title',
        array(
            'label' => esc_html__( '404 Page Title', 'irepair' ),
            'description'    => esc_html__( 'Enter text to display on 404 page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 50
        )
    );

    $wp_customize->add_setting(
        'irepair_header_archive_category_title',
        array(
            'default' => esc_html__( 'Category:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_archive_category_title',
        array(
            'label' => esc_html__( 'Archive Category Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on archive category page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 60
        )
    );

    $wp_customize->add_setting(
        'irepair_header_archive_tag_title',
        array(
            'default' => esc_html__( 'Tag:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_archive_tag_title',
        array(
            'label' => esc_html__( 'Archive Tag Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on archive tag page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 70
        )
    );

    $wp_customize->add_setting(
        'irepair_header_archive_author_title',
        array(
            'default' => esc_html__( 'Author:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_archive_author_title',
        array(
            'label' => esc_html__( 'Archive Author Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on archive author page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 80
        )
    );

    $wp_customize->add_setting(
        'irepair_header_archive_year_title',
        array(
            'default' => esc_html__( 'Year:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_archive_year_title',
        array(
            'label' => esc_html__( 'Archive Year Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on archive year page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 90
        )
    );

    $wp_customize->add_setting(
        'irepair_header_archive_month_title',
        array(
            'default' => esc_html__( 'Month:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_archive_month_title',
        array(
            'label' => esc_html__( 'Archive Month Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on archive month page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 100
        )
    );

    $wp_customize->add_setting(
        'irepair_header_archive_day_title',
        array(
            'default' => esc_html__( 'Day:', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_archive_day_title',
        array(
            'label' => esc_html__( 'Archive Day Title', 'irepair' ),
            'description'    => esc_html__( 'Enter prefix text to display on archive day page.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 110
        )
    );

    $wp_customize->add_setting(
        'irepair_header_single_blog_title',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_single_blog_title',
        array(
            'label' => esc_html__( 'Single Post Title', 'irepair' ),
            'description'    => esc_html__( 'Enter text to display on single blog posts. Leave blank to use post title.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 120
        )
    );

    if ( irepair_use_portfolio() ) :

        $wp_customize->add_setting(
        'irepair_header_archive_portfolio_title',
        array(
            'default' => esc_html__( 'Portfolios', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
        );

        $wp_customize->add_control(
            'irepair_header_archive_portfolio_title',
            array(
                'label' => esc_html__( 'Archive Portfolio Title', 'irepair' ),
                'description'    => esc_html__( 'Enter text to display on archive portfolio pages.', 'irepair'),
                'section'  => 'irepair_header_settings_title_breadcrumbs',
                'type' => 'text',
                'priority' => 130
            )
        );

        $wp_customize->add_setting(
        'irepair_header_single_portfolio_title',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
        );

        $wp_customize->add_control(
            'irepair_header_single_portfolio_title',
            array(
                'label' => esc_html__( 'Single Portfolio Title', 'irepair' ),
                'description'    => esc_html__( 'Enter text to display on single portfolio pages. Leave blank to use portfolio title.', 'irepair'),
                'section'  => 'irepair_header_settings_title_breadcrumbs',
                'type' => 'text',
                'priority' => 140
            )
        );

    endif;

    if ( irepair_use_service() ) :

        $wp_customize->add_setting(
        'irepair_header_archive_service_title',
        array(
            'default' => esc_html__( 'Services', 'irepair' ),
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
        );

        $wp_customize->add_control(
            'irepair_header_archive_service_title',
            array(
                'label' => esc_html__( 'Archive Service Title', 'irepair' ),
                'description'    => esc_html__( 'Enter text to display on archive service pages.', 'irepair'),
                'section'  => 'irepair_header_settings_title_breadcrumbs',
                'type' => 'text',
                'priority' => 150
            )
        );

        $wp_customize->add_setting(
        'irepair_header_single_service_title',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
        );

        $wp_customize->add_control(
            'irepair_header_single_service_title',
            array(
                'label' => esc_html__( 'Single Service Title', 'irepair' ),
                'description'    => esc_html__( 'Enter text to display on single service pages. Leave blank to use portfolio title.', 'irepair'),
                'section'  => 'irepair_header_settings_title_breadcrumbs',
                'type' => 'text',
                'priority' => 160
            )
        );

    endif;

    $wp_customize->add_setting(
        'irepair_header_single_product_title',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'sanitize_text_field'
        )
    );

    $wp_customize->add_control(
        'irepair_header_single_product_title',
        array(
            'label' => esc_html__( 'Single Product Title', 'irepair' ),
            'description'    => esc_html__( 'Enter text to display on single product pages. Leave blank to use product title.', 'irepair'),
            'section'  => 'irepair_header_settings_title_breadcrumbs',
            'type' => 'text',
            'priority' => 170
        )
    );

    // Padding / Margin

    $wp_customize->add_section( 'irepair_header_settings_padding_margin' , array(
        'title'      => esc_html__( 'Paddings & Margin', 'irepair' ),
        'panel' => 'irepair_header_panel',
        'priority'   => 50
    ) );

    $wp_customize->add_setting(
        'irepair_header_padding_top',
        array(
            'default' => get_option( 'irepair_default_header_padding_top' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
        'irepair_header_padding_top',
        array(
            'label' => esc_html__( 'Header Padding Top', 'irepair' ),
            'section' => 'irepair_header_settings_padding_margin',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 500,
                'step' => 1,
            ),
            'priority' => 10
        )
    );

    $wp_customize->add_setting(
        'irepair_header_padding_bottom',
        array(
            'default' => get_option( 'irepair_default_header_padding_bottom' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
        'irepair_header_padding_bottom',
        array(
            'label' => esc_html__( 'Header Padding Bottom', 'irepair' ),
            'section' => 'irepair_header_settings_padding_margin',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 500,
                'step' => 1,
            ),
            'priority' => 20
        )
    );

    $wp_customize->add_setting(
        'irepair_header_margin_bottom',
        array(
            'default' => get_option( 'irepair_default_header_margin_bottom' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
        'irepair_header_margin_bottom',
        array(
            'label' => esc_html__( 'Header Margim Bottom', 'irepair' ),
            'description' => esc_html__( 'For Wide Page Template', 'irepair' ),
            'section' => 'irepair_header_settings_padding_margin',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 200,
                'step' => 1,
            ),
            'priority' => 30
        )
    );
    
    
    
    /// Woo Single Product ///

    $wp_customize->add_section(
        'irepair_header_settings_prod',
        array(
            'title' => esc_html__( 'Woo Single Product', 'irepair' ),
            'panel' => 'irepair_header_panel',
        )
    );

    $wp_customize->add_setting(
        'irepair_header_style_prod',
        array(
            'default' => '',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );
    $wp_customize->add_control(
        'irepair_header_style_prod',
        array(
            'label' => esc_html__( 'Header Style', 'irepair' ),
            'section' => 'irepair_header_settings_prod',
            'type' => 'select',
            'choices' => array(
                '' => esc_html__( 'Global Settings', 'irepair' ),
                'show' => esc_html__( 'Show Both', 'irepair' ),
                'hide_title' => esc_html__( 'Title in the Product, Breadcrumbs show', 'irepair' ),
                'hide_breadcrumbs' => esc_html__( 'Title in the Product, Breadcrumbs hide', 'irepair' ),
                'hide' => esc_html__( 'Hide Both', 'irepair' ),
            ),
        )
    );

    $wp_customize->add_setting( 'irepair_header_bg_image_prod' , array(
        'default'     => '',
        'transport'   => 'postMessage',
        'sanitize_callback' => 'sanitize_text_field'
    ) );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'irepair_header_bg_image_prod',
            array(
                'label'      => esc_html__( 'Background Image', 'irepair' ),
                'section'    => 'irepair_header_settings_prod',
                //'settings'   => 'irepair_header_bg_image_prod',
            )
        )
    );
    
    $wp_customize->add_setting(
        'irepair_header_padding_top_prod',
        array(
            'default' => get_option( 'irepair_default_header_padding_top' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
        'irepair_header_padding_top_prod',
        array(
            'label' => esc_html__( 'Header Padding Top', 'irepair' ),
            'section' => 'irepair_header_settings_prod',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 500,
                'step' => 1,
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_header_padding_bottom_prod',
        array(
            'default' => get_option( 'irepair_default_header_padding_bottom' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
        'irepair_header_padding_bottom_prod',
        array(
            'label' => esc_html__( 'Header Padding Bottom', 'irepair' ),
            'section' => 'irepair_header_settings_prod',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 500,
                'step' => 1,
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_header_margin_bottom_prod',
        array(
            'default' => get_option( 'irepair_default_header_margin_bottom' ),
            'transport' => 'postMessage',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(
        'irepair_header_margin_bottom_prod',
        array(
            'label' => esc_html__( 'Header Margim Bottom', 'irepair' ),
            'description' => esc_html__( 'For Wide Page Template', 'irepair' ),
            'section' => 'irepair_header_settings_prod',
            'type' => 'range',
            'input_attrs' => array(
                'min'  => 0,
                'max'  => 200,
                'step' => 1,
            ),
        )
    );
    


}
