<?php

function irepair_customize_shop_tab( $wp_customize, $theme_name ) {

    $wp_customize->add_panel(
        'irepair_shop_panel',
        array(
            'title' => esc_html__( 'Shop', 'irepair' ),
            'priority' => 60
        )
    );

    $wp_customize->add_section(
        'irepair_shop_general_settings',
        array(
            'title' => esc_html__( 'General settings', 'irepair' ),
            'panel' => 'irepair_shop_panel',
            'priority' => 10,
        )
    );

    $wp_customize->add_setting(
        'irepair_show_shop_badge_new',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_shop_badge_new',
        array(
            'label' => esc_html__( 'Show Badge "New"', 'irepair' ),
            'description' => esc_html__( 'For new publish products.', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'checkbox',
        )
    );

    $wp_customize->add_setting(
        'irepair_shop_badge_new_days',
        array(
            'default' => '30',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_shop_badge_new_days',
        array(
            'label' => esc_html__( 'Badge "New" (Days)', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'description' => esc_html__( 'The number of days since the publication of the product, during which it is considered new', 'irepair' ),
            'type' => 'select',
            'choices' => array(
                '1' => esc_html__( '1 day', 'irepair' ),
                '2' => esc_html__( '2 days', 'irepair' ),
                '3' => esc_html__( '3 days', 'irepair' ),
                '4' => esc_html__( '4 days', 'irepair' ),
                '5' => esc_html__( '5 days', 'irepair' ),
                '6' => esc_html__( '6 days', 'irepair' ),
                '7' => esc_html__( '7 days', 'irepair' ),
                '8' => esc_html__( '8 days', 'irepair' ),
                '9' => esc_html__( '9 days', 'irepair' ),
                '10' => esc_html__( '10 days', 'irepair' ),
                '15' => esc_html__( '15 days', 'irepair' ),
                '30' => esc_html__( '30 days', 'irepair' ),
                '60' => esc_html__( '60 days', 'irepair' ),
                '90' => esc_html__( '90 days', 'irepair' ),
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_show_shop_badge_hot',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_shop_badge_hot',
        array(
            'label' => esc_html__( 'Show Badge "Hot"', 'irepair' ),
            'description' => esc_html__( 'For featured products.', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'checkbox',
        )
    );

    $wp_customize->add_setting(
        'irepair_show_shop_badge_sale',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_shop_badge_sale',
        array(
            'label' => esc_html__( 'Show Badge "Sale"', 'irepair' ),
            'description' => esc_html__( 'For products on sale.', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'checkbox',
        )
    );

    $wp_customize->add_setting(
        'irepair_show_shop_wishlist',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_shop_wishlist',
        array(
            'label' => esc_html__( 'Show Button "Add to Wishlist"', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'checkbox',
        )
    );

    $wp_customize->add_setting(
        'irepair_show_shop_compare',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_shop_compare',
        array(
            'label' => esc_html__( 'Show Button "Compare"', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'checkbox',

        )
    );

    $wp_customize->add_setting(
        'irepair_show_shop_quick_view',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_shop_quick_view',
        array(
            'label' => esc_html__( 'Show Button "Quick view"', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'checkbox',
        )
    );

    $wp_customize->add_setting(
        'irepair_shop_product_buttons',
        array(
            'default' => '',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_shop_product_buttons',
        array(
            'label' => esc_html__( 'Buttons Display', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'select',
            'choices' => array(
                '' => esc_html__( 'on Hover', 'irepair' ),
                'pix-always-show' => esc_html__( 'Always', 'irepair' ),
            ),
        )
    );

    $wp_customize->add_setting(
        'irepair_product_single_thumb_width',
        array(
            'default'           => '950',
            'sanitize_callback' => 'absint',
            'transport'         => 'refresh',
        )
    );

    $wp_customize->add_control(
        'irepair_product_single_thumb_width',
        array(
            'label' => esc_html__( 'Main image width', 'irepair' ),
            'description' => esc_html__( 'Image size used for the main image on single product pages.', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'number',
        )
    );

    $wp_customize->add_setting(
        'irepair_product_archive_thumb_width',
        array(
            'default' => '350',
            'sanitize_callback' => 'absint',
            'transport' => 'refresh',
        )
    );

    $wp_customize->add_control(
        'irepair_product_archive_thumb_width',
        array(
            'label' => esc_html__( 'Thumbnail width', 'irepair' ),
            'description' => esc_html__( 'Image size used for products in the catalog.', 'irepair' ),
            'section' => 'irepair_shop_general_settings',
            'type' => 'number',
        )
    );

    if ( irepair_use_section() ) :

        $staticBlocks = irepair_get_staticblocks_array();

        $wp_customize->add_setting(
            'irepair_shop_under_header_block',
            array(
                'default' => 'default',
                'transport' => 'refresh',
                'sanitize_callback' => 'irepair_sanitize_select'
            )
        );

        $wp_customize->add_control(
            'irepair_shop_under_header_block',
            array(
                'label'    => esc_html__( 'Shop Page Under Header Block', 'irepair' ),
                'section'  => 'irepair_shop_general_settings',
                'type'     => 'select',
                'choices'  => $staticBlocks,
            )
        );

    endif;
    
    
    
    

    $wp_customize->add_section(
        'irepair_product_settings',
        array(
            'title' => esc_html__( 'Product Page', 'irepair' ),
            'panel' => 'irepair_shop_panel',
            'priority' => 20,
        )
    );

    $wp_customize->add_setting(
        'irepair_product_images_style',
        array(
            'default' => 'custom',
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_select'
        )
    );

    $wp_customize->add_control(
        'irepair_product_images_style',
        array(
            'label' => esc_html__( 'Product images style', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'select',
            'choices' => array(
                'custom' => esc_html__( 'iRepair Style', 'irepair' ),
                'default' => esc_html__( 'Default Woocommerce Style', 'irepair' ),
            ),
        'priority' => 10,
        )
    );

    $wp_customize->add_setting(
        'irepair_product_image_width',
        array(
            'default' => false,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_product_image_width',
        array(
            'label' => esc_html__( 'Image Half Row Width', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 15

        )
    );

    $wp_customize->add_setting(
        'irepair_use_product_gallery_zoom',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_use_product_gallery_zoom',
        array(
            'label' => esc_html__( 'Use Gallery Zoom', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 20

        )
    );

    $wp_customize->add_setting(
        'irepair_use_product_gallery_lightbox',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_use_product_gallery_lightbox',
        array(
            'label' => esc_html__( 'Use Gallery Lightbox', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 30

        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_categories',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_categories',
        array(
            'label' => esc_html__( 'Show Categories', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 40

        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_tags',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_tags',
        array(
            'label' => esc_html__( 'Show Tags', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 50

        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_related',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_related',
        array(
            'label' => esc_html__( 'Show Related Products', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 60

        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_upsells',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_upsells',
        array(
            'label' => esc_html__( 'Show Calculator', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 70

        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_tabs',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_tabs',
        array(
            'label' => esc_html__( 'Show Product Data Tabs', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 80

        )
    );

    $wp_customize->add_setting(
        'irepair_product_support_text',
        array(
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_textarea_field',
        )
    );

    $wp_customize->add_control(
        'irepair_product_support_text',
        array(
            'label'    => esc_html__( 'Product Support Text', 'irepair' ),
            'section'  => 'irepair_product_settings',
            'type'     => 'textarea',
            'priority' => 90
        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_share',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_share',
        array(
            'label' => esc_html__( 'Show Product Share', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 100

        )
    );

    $wp_customize->add_setting(
        'irepair_show_product_brand',
        array(
            'default' => true,
            'transport' => 'refresh',
            'sanitize_callback' => 'irepair_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        'irepair_show_product_brand',
        array(
            'label' => esc_html__( 'Show Product Brand', 'irepair' ),
            'section' => 'irepair_product_settings',
            'type' => 'checkbox',
            'priority' => 110

        )
    );

    if ( irepair_use_custom_plugin() ) :

        $wp_customize->add_section(
            'irepair_shop_swatches_settings',
            array(
                'title' => esc_html__( 'Variation Swatches settings', 'irepair' ),
                'panel' => 'irepair_shop_panel',
                'priority' => 30,
            )
        );

        $wp_customize->add_setting(
            'irepair_use_variation_swatches',
            array(
                'default' => true,
                'transport' => 'refresh',
                'sanitize_callback' => 'irepair_sanitize_checkbox'
            )
        );

        $wp_customize->add_control(
            'irepair_use_variation_swatches',
            array(
                'label' => esc_html__( 'Use Theme Products Variation Swatches', 'irepair' ),
                'section' => 'irepair_shop_swatches_settings',
                'type' => 'checkbox',
                'priority' => 10

            )
        );

        $wp_customize->add_setting(
            'irepair_shop_swatches_dropdown_convert',
            array(
                'default' => false,
                'transport' => 'refresh',
                'sanitize_callback' => 'irepair_sanitize_checkbox'
            )
        );

        $wp_customize->add_control(
            'irepair_shop_swatches_dropdown_convert',
            array(
                'label' => esc_html__( 'Convert all Dropdown Swatches to Button Swatches', 'irepair' ),
                'section' => 'irepair_shop_swatches_settings',
                'type' => 'checkbox',
                'priority' => 20

            )
        );

    endif;

}
