<?php

function irepair_sanitize_checkbox( $checked ) {
    return ( ( isset( $checked ) && true === $checked ) ) ? true : false;
}

function irepair_sanitize_multiple_checkbox( $values ) {
    $multi_values = ( ! empty( $values ) && ! is_array( $values ) ) ? explode( ',', $values ) : $values;
    return ! empty( $multi_values ) ? array_map( 'sanitize_text_field', $multi_values ) : array();
}

function irepair_sanitize_select( $input, $setting ) {
    $input   = sanitize_key( $input );
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

function irepair_sanitize_textarea_field( $input ) {
    return wp_kses( $input, 'irepair-default' );
}

function irepair_sanitize_email( $email ) {
    return ( is_email( $email ) ) ? $email : '';
}
