<?php

//Change the order of the output fields comment form
add_filter( 'comment_form_fields', 'irepair_reorder_comment_fields' );
function irepair_reorder_comment_fields( $fields ) {

    if ( is_single() && get_post_type() == 'post' || get_post_type() == 'page' ) {

        $new_fields = array();

        $myorder = array( 'author', 'email', 'comment' );

        foreach( $myorder as $key ){
            $new_fields[ $key ] = $fields[ $key ];
            unset( $fields[ $key ] );
        }

        if( $fields )
            foreach( $fields as $key => $val )
                $new_fields[ $key ] = $val;

        return $new_fields;

    } else {

        return $fields;

    }
}

if ( ! function_exists( 'irepair_comments_callback' ) ) :
    function irepair_comments_callback( $comment, $args, $depth ) {
        $GLOBALS['comment'] = $comment; ?>
        <li <?php comment_class('comment'); ?> id="li-comment-<?php comment_ID(); ?>">
            <div id="comment-<?php comment_ID(); ?>" class="comment__body">
                <?php if ( 'comment' === get_comment_type() ) : ?>
                <div class="comment__avatar"><?php echo get_avatar( $comment, 80 ); ?></div>
                <?php endif; ?>
                <div class="comment__content">
                    <div class="comment__author">
                        <?php comment_author(); ?> <?php edit_comment_link( esc_html__( 'Edit', 'irepair' ), '  ', '' ) ?>
                    </div>
                    <div class="comment__info">
                        <span><?php printf(  esc_html__( '%1$s at %2$s', 'irepair' ) , get_comment_date(), get_comment_time() ); ?></span>
                        <?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
                    </div>
                    <div class="comment__text">
                        <?php comment_text(); ?>
                        <?php if ( $comment->comment_approved == '0' ) : ?>
                            <p class="not-approve"><?php echo esc_html__( 'Your comment is awaiting moderation.', 'irepair' ); ?></p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
    <?php }
endif;

if ( ! function_exists( 'irepair_comments_end_callback' ) ) :
    function irepair_comments_end_callback() {
        echo '</li>';
    }
endif;

// page comment open by default
if ( ! function_exists( 'irepair_open_comments_for_page' ) ) :
    function irepair_open_comments_for_page( $status, $post_type, $comment_type ) {
        if ( 'page' === $post_type ) {
            return 'open';
        }

        // You could be more specific here for different comment types if desired
        return $status;
    }
endif;
add_filter( 'get_default_comment_status', 'irepair_open_comments_for_page', 10, 3 );
