<?php

function irepair_import_files() {
    return array(
        array(
            'import_file_name'           => esc_html__( 'iRepair', 'irepair' ),
            'import_file_url'            => esc_url('https://data.true-emotions.studio/themes/irepair/v2/wp-import/irepair.xml'),
            'import_widget_file_url'     => esc_url('https://data.true-emotions.studio/themes/irepair/v2/wp-import/irepair.wie'),
            'import_customizer_file_url' => esc_url('https://data.true-emotions.studio/themes/irepair/v2/wp-import/irepair.dat'),
            'import_preview_image_url'   => esc_url('https://data.true-emotions.studio/themes/irepair/v2/wp-import/irepair.jpg'),
            'preview_url'                => esc_url('https://irepair.true-emotions.studio/v2/'),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'irepair_import_files' );

function irepair_after_import( $selected_import ) {

    $menu_arr = array();
    $main_menu = get_term_by( 'name', 'Main menu', 'nav_menu' );
    if ( is_object( $main_menu ) ) {
        $menu_arr['primary_nav'] = $main_menu->term_id;
    }
    set_theme_mod( 'nav_menu_locations', $menu_arr );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );
    
    $slider_array = array(
        esc_url( 'https://data.true-emotions.studio/themes/irepair/v2/revslider/home_1.zip' ),
        esc_url( 'https://data.true-emotions.studio/themes/irepair/v2/revslider/home_2.zip' ),
        esc_url( 'https://data.true-emotions.studio/themes/irepair/v2/revslider/home_3.zip' ),
        esc_url( 'https://data.true-emotions.studio/themes/irepair/v2/revslider/home_4.zip' ),
    );

    if ( class_exists( 'RevSlider' ) ) {

        $slider = new RevSlider();

        foreach ( $slider_array as $filepath ) {
            $file_url = esc_url( $filepath );
            $tmp = download_url( $file_url );
            if ( ! is_wp_error( $tmp ) ) {
            	$slider->importSliderFromPost( true, true, $tmp );
        	}
        	unlink( $tmp );
        }
    }

    if ( irepair_use_woo() ) {

        global $wpdb;

        // Update attributes type
        $wpdb->update( 'wp_woocommerce_attribute_taxonomies',
            array( 'attribute_type' => 'color' ),
            array( 'attribute_name' => 'color' )
        );
        $wpdb->update( 'wp_woocommerce_attribute_taxonomies',
            array( 'attribute_type' => 'image' ),
            array( 'attribute_name' => 'material' )
        );

        // Update product terms count
        $args = array(
            'post_type' => 'product',
            'numberposts' => -1
        );
        $posts = get_posts( $args );
        foreach ( $posts as $post ) {
            wp_update_post( $post );
        }

        if ( ! wc_update_product_lookup_tables_is_running() ) {
            wc_update_product_lookup_tables();
        }

        delete_transient( 'wc_attribute_taxonomies' );

        if ( function_exists( 'wc_delete_product_transients' ) ) {
            wc_delete_product_transients();
        }

    }

}
add_action( 'pt-ocdi/after_import', 'irepair_after_import' );
