<?php header("Content-type: text/css; charset: UTF-8");

function pix_hash($val){
    return esc_attr(str_replace('#', '%23', $val));
}

$page_id = isset( $_REQUEST['pageID']) ? $_REQUEST['pageID'] : 0;

$irepair_accent_color = irepair_get_option( 'accent_color', get_option( 'irepair_default_accent_color' ) );
$irepair_compliment_color = irepair_get_option( 'compliment_color', get_option( 'irepair_default_compliment_color' ) );
$irepair_item_bg_color = irepair_get_option( 'item_bg_color', get_option( 'irepair_default_item_bg_color' ) );
$irepair_section_bg_color = irepair_get_option( 'section_bg_color', get_option( 'irepair_default_section_bg_color' ) );
$irepair_highlight_bg_color = irepair_get_option( 'highlight_bg_color', get_option( 'irepair_default_highlight_bg_color' ) );
$irepair_bg_color = irepair_get_option( 'bg_color', get_option( 'irepair_default_bg_color' ) );
$irepair_text_color = irepair_get_option( 'text_color', get_option( 'irepair_default_text_color' ) );
$irepair_text_color_bright = irepair_get_option( 'text_color_bright', get_option( 'irepair_default_text_color_bright' ) );
$irepair_border_color = irepair_get_option( 'border_color', get_option( 'irepair_default_border_color' ) );
$irepair_button_bg_color = irepair_get_option( 'button_bg_color', get_option( 'irepair_default_button_bg_color' ) );
$irepair_button_bg_color_hover = irepair_get_option( 'button_bg_color_hover', get_option( 'irepair_default_button_bg_color' ) );
$irepair_button_color = irepair_get_option( 'button_color', get_option( 'irepair_default_button_color' ) );
$irepair_button_border_color = irepair_get_option( 'button_border_color', get_option( 'irepair_default_button_border_color' ) );

$page_accent_color = get_post_meta( $page_id, 'irepair_page_accent_color', true );
if ( ! empty( $page_accent_color ) ) {
    $irepair_accent_color = $page_accent_color;
}

$page_compliment_color = get_post_meta( $page_id, 'irepair_page_compliment_color', true );
if ( ! empty( $page_compliment_color ) ) {
    $irepair_compliment_color = $page_compliment_color;
}

$page_section_bg_color = get_post_meta( $page_id, 'irepair_page_section_bg_color', true );
if ( ! empty( $page_section_bg_color ) ) {
    $irepair_section_bg_color = $page_section_bg_color;
}

$page_bg_color = get_post_meta( $page_id, 'irepair_page_bg_color', true );
if ( ! empty( $page_bg_color ) ) {
    $irepair_bg_color = $page_bg_color;
}

$header_bg = irepair_get_option( 'header_bg_color', get_option( 'irepair_default_header_bg_color' ) );
$header_bg = irepair_get_option( $header_bg, get_option( 'irepair_default_'.$header_bg ) );
$submenu_bg = irepair_get_option( 'submenu_bg_color', get_option( 'irepair_default_submenu_bg_color' ) );
$submenu_bg = irepair_get_option( $submenu_bg, get_option( 'irepair_default_'.$submenu_bg ) );
$header_hover_color = irepair_get_option( 'header_hover_color', get_option( 'irepair_default_header_hover_color' ) );
$header_hover_color = irepair_get_option( $header_hover_color, get_option( 'irepair_default_'.$header_hover_color ) );
$submenu_color = irepair_get_option( 'submenu_color', '#212529' );
$header_opacity = irepair_get_option( 'header_opacity', get_option( 'irepair_default_header_opacity' ) );
$header_paddings = irepair_get_option( 'header_menu_paddings', '50' );

$header_button_opacity = irepair_get_option( 'header_button_opacity', 100 );
$header_button_color = irepair_get_option( 'header_button_color', get_option( 'irepair_default_button_color' ) );
$header_button_bg_color = irepair_get_option( 'header_button_bg_color', get_option( 'irepair_default_button_bg_color' ) );
$header_button_bg_color_hover = irepair_get_option( 'header_button_bg_color_hover', get_option( 'irepair_default_button_bg_color' ) );
$header_button_border_color = irepair_get_option( 'header_button_border_color', get_option( 'irepair_default_button_border_color' ) );

$header_padding_top = irepair_get_option( 'header_padding_top', get_option( 'irepair_default_header_padding_top' ) );
$header_padding_bottom = irepair_get_option( 'header_padding_bottom', get_option( 'irepair_default_header_padding_bottom' ) );
$header_margin_bottom = irepair_get_option( 'header_margin_bottom', get_option( 'irepair_default_header_margin_bottom' ) );

$header_padding_top_prod = irepair_get_option( 'header_padding_top_prod', get_option( 'irepair_default_header_padding_top' ) );
$header_padding_bottom_prod = irepair_get_option( 'header_padding_bottom_prod', get_option( 'irepair_default_header_padding_bottom' ) );
$header_margin_bottom_prod = irepair_get_option( 'header_margin_bottom_prod', get_option( 'irepair_default_header_margin_bottom' ) );


$header_sticky_bg = irepair_get_option( 'header_sticky_bg_color', '#ffffff' );
$header_sticky_color = irepair_get_option( 'header_sticky_color', '#212529' );
$sticky_submenu_bg = irepair_get_option( 'sticky_submenu_bg_color', '#ffffff' );
$sticky_submenu_color = irepair_get_option( 'sticky_submenu_color','#212529' );

?>

:root{

    --accent: <?php echo esc_attr( $irepair_accent_color ); ?>;
    --accent-svg: <?php echo esc_attr( pix_hash($irepair_accent_color) ); ?>;
    --accent-rgb: <?php echo esc_attr( pixtheme_hex2rgb($irepair_accent_color) ); ?>;
    --compliment: <?php echo esc_attr( $irepair_compliment_color ); ?>;
    --pix-item-bg-color: <?php echo esc_attr( $irepair_item_bg_color ); ?>;
    --pix-item-bg-color-rgb: <?php echo esc_attr( pixtheme_hex2rgb($irepair_item_bg_color) ); ?>;
    --pix-section-bg-color: <?php echo esc_attr( $irepair_section_bg_color ); ?>;
    --pix-section-bg-color-rgb: <?php echo esc_attr( pixtheme_hex2rgb($irepair_section_bg_color) ); ?>;
    --pix-bg-color: <?php echo esc_attr( $irepair_bg_color ); ?>;
    --pix-highlight-bg-color: <?php echo esc_attr( $irepair_highlight_bg_color ); ?>;
    --pix-bg-accent: <?php echo esc_attr( $irepair_accent_color ); ?>50;
    --pix-text-color: <?php echo esc_attr( $irepair_text_color ); ?>;;
    --pix-text-color-bright: <?php echo esc_attr( $irepair_text_color_bright ); ?>;
    --pix-text-color-bright-rgb: <?php echo esc_attr(pixtheme_hex2rgb($irepair_text_color_bright))?>;
    --pix-border-color: <?php echo esc_attr( $irepair_border_color ); ?>;
    --pix-button-bg-color: <?php echo esc_attr( $irepair_button_bg_color ); ?>;
    --pix-button-bg-color-hover: <?php echo esc_attr( $irepair_button_bg_color_hover ); ?>;
    --pix-button-color: <?php echo esc_attr( $irepair_button_color ); ?>;
    --pix-button-border-color: <?php echo esc_attr( $irepair_button_border_color ); ?>;
    --pix-svg-prefix: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='5' height='7' viewBox='0 0 6 10' fill='none'%3E%3Cpath d='M0 10V0L6 5L0 10Z' fill='<?php echo pix_hash($irepair_accent_color)?>'/%3E%3C/svg%3E%0A");

    --pix-header-bg-color: <?php echo esc_attr( pixtheme_hex2rgb($header_bg) ); ?>;
    --pix-header-opacity: <?php echo esc_attr( $header_opacity / 100 ); ?>;
    --pix-submenu-bg-color: <?php echo esc_attr( $submenu_bg ); ?>;
    --pix-header-hover-color: <?php echo esc_attr( $header_hover_color ); ?>;
    --pix-submenu-color: <?php echo esc_attr( $submenu_color ); ?>;

    --pix-header-button-bg-color: <?php echo esc_attr( pixtheme_hex2rgb($header_button_bg_color) ); ?>;
    --pix-header-button-bg-color-hover: <?php echo esc_attr( pixtheme_hex2rgb($header_button_bg_color_hover) ); ?>;
    --pix-header-button-opacity: <?php echo esc_attr( $header_button_opacity / 100 ); ?>;
    --pix-header-button-color: <?php echo esc_attr( $header_button_color ); ?>;
    --pix-header-button-border-color: <?php echo esc_attr( $header_button_border_color ); ?>;

    --pix-header-sticky-bg-color: <?php echo esc_attr( $header_sticky_bg ); ?>;
    --pix-header-sticky-color: <?php echo esc_attr( $header_sticky_color ); ?>;
    --pix-sticky-submenu-bg-color: <?php echo esc_attr( $sticky_submenu_bg ); ?>;
    --pix-sticky-submenu-color: <?php echo esc_attr( $sticky_submenu_color ); ?>;

}

.pix-menu {
    padding: <?php echo esc_attr( $header_paddings ); ?>px 0;
}

.header__page {
    padding-top: <?php echo esc_attr( $header_padding_top ); ?>px;
    padding-bottom: <?php echo esc_attr( $header_padding_bottom ); ?>px;
}

.pix-page-wide {
    padding-top: <?php echo esc_attr( $header_margin_bottom ); ?>px;
}

.single-product .header__page {
    padding-top: <?php echo esc_attr( $header_padding_top_prod ); ?>px;
    padding-bottom: <?php echo esc_attr( $header_padding_bottom_prod ); ?>px;
}
.single-product .pix-page-wide {
    padding-top: <?php echo esc_attr( $header_margin_bottom_prod ); ?>px;
}
