<?php

if ( ! function_exists( 'irepair_fonts_url' ) ) :
    /*
    Register Google Fonts
    */
    function irepair_fonts_url() {
        $fonts_url = '';
        $exclude = ['Jost'];
		$font_families = 'Poppins:wght@300;400;500;600;700&family=Meddon';
		$find = ['%2B', '%26'];
		$replace = ['+', '&'];
        /*
        Translators: If there are characters in your language that are not supported
        by chosen font(s), translate this to 'off'. Do not translate into your own language.
         */
        if( 'off' !== esc_html_x( 'on', 'Google font: on or off', 'irepair' ) && !empty($font_families)) {
	        
	        $families = explode('&family=', html_entity_decode($font_families));
	        foreach($families as $key => $val){
	            $family = explode(':', $val);
	            if(isset($family[0]) && in_array($family[0],$exclude)){
	                unset($families[$key]);
	            }
	        }
	        
	        if(!empty($families)){
	            $font_families = implode('&family=',$families);
	            $query_args = array(
	                'family' => str_replace($find, $replace, urlencode($font_families)),
	                'subset' => urlencode('latin,latin-ext'),
	            );
	            $fonts_url = add_query_arg($query_args, '//fonts.googleapis.com/css2');
	        }
	    }
	    
	    return esc_url_raw( $fonts_url );
    }
    
endif;
