<?php

if ( ! function_exists( 'irepair_site_menu' ) ) :
    function irepair_site_menu( $class = null ) {
        if ( function_exists( 'wp_nav_menu' ) && has_nav_menu( 'primary_nav' ) ) {
            wp_nav_menu( array(
                'theme_location' => 'primary_nav',
                'container' => 'ul',
                'menu_class' => $class,
                'depth' => 4,
                'walker' => new iRepair_Primary_Walker_Menu()
            ) );
        } elseif ( is_user_logged_in() ) {
            ?>
            <ul>
                <li>
                    <a target="_blank" href="<?php echo esc_url( admin_url() . 'nav-menus.php#locations-primary_menu' ) ?>">
                        <?php esc_html_e( 'Please, set Primary Menu.', 'irepair' ); ?>
                    </a>
                </li>
            </ul>
            <?php
        }
    }
endif;

class iRepair_Primary_Walker_Menu extends Walker_Nav_Menu {
    /**
    * Display Element
    */
    function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
        $id_field = $this->db_fields['id'];

        if ( isset( $args[0] ) && is_object( $args[0] ) ) {
          $args[0]->has_children = ! empty( $children_elements[$element->$id_field] );
        }

        return parent::display_element( $element, $children_elements, $max_depth, $depth, $args, $output );
    }

    /**
    * Start Element
    */
    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        if ( is_object( $args ) && ! empty( $args->has_children ) ) {
            $link_after = $args->link_after;
            if ( $depth === 0 ) {
                $args->link_after = ' <span><i class="pix-icon-chevron2-bottom"></i></span>';
            } else {
                $args->link_after = ' <span><i class="pix-icon-chevron2-right"></i></span>';
            }
        }

        parent::start_el( $output, $item, $depth, $args, $id );

        if ( is_object( $args ) && ! empty( $args->has_children ) ) {
            $args->link_after = $link_after;
        }
    }

}

