<?php

add_action( 'tgmpa_register', 'irepair_register_required_plugins' );

function irepair_register_required_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(

		/*************************************
		--------  Wordpress Plugins   --------
		*************************************/

        array(
			'name' => esc_html__( 'Regenerate Thumbnails', 'irepair' ),
			'slug' => 'regenerate-thumbnails',
		),

        array(
            'name' => esc_html__( 'Contact Form 7', 'irepair' ),
            'slug' => 'contact-form-7',
        ),

		array(
			'name' => esc_html__( 'One Click Demo Import', 'irepair' ),
			'slug' => 'one-click-demo-import',
		),

        array(
            'name' => esc_html__( 'SVG Support', 'irepair' ),
            'slug' => 'svg-support',
        ),

        array(
            'name' => esc_html__( 'Elementor', 'irepair' ),
            'slug' => 'elementor',
            'required' => true,
        ),

        array(
            'name' => esc_html__( 'WooCommerce', 'irepair' ),
            'slug' => 'woocommerce',
        ),

        array(
            'name' => esc_html__( 'WPC Smart Compare for WooCommerce', 'irepair' ),
            'slug' => 'woo-smart-compare',
        ),

        array(
            'name' => esc_html__( 'WPC Smart Wishlist for WooCommerce', 'irepair' ),
            'slug' => 'woo-smart-wishlist',
        ),

		/*************************************
		--------  PixTheme Plugins  --------
		*************************************/

     	array(
			'name' => esc_html__( 'Revolution Slider', 'irepair' ),
			'slug' => 'revslider',
			'source' => esc_url('https://data.true-emotions.studio/themes/_plugins/revslider.zip'),
		),

        array(
            'name' => esc_html__( 'Pix Settings', 'irepair' ),
            'slug' => 'pix-settings',
            'source' => esc_url('https://data.true-emotions.studio/themes/_plugins/pix-settings/irepair/pix-settings.zip'),
            'version' => '1.0',
            'required' => true,
        ),

        array(
            'name' => esc_html__( 'Envato Market', 'irepair' ),
            'slug' => 'envato-market',
            'source' => esc_url('https://data.true-emotions.studio/themes/_plugins/envato-market.zip'),
        ),


    );

    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'id' => 'tgmpa', // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '', // Default absolute path to pre-packaged plugins.
        'menu' => 'tgmpa-install-plugins', // Menu slug.
        'has_notices' => true, // Show admin notices or not.
        'dismissable' => true, // If false, a user cannot dismiss the nag message.
        'dismiss_msg' => '', // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false, // Automatically activate plugins after installation or not.
        'message' => '', // Message to output right before the plugins table.
        'strings' => array(
            'page_title' => esc_html__( 'Install Required Plugins', 'irepair' ),
            'menu_title' => esc_html__( 'Install Plugins', 'irepair' ),
            'installing' => esc_html__( 'Installing Plugin: %s', 'irepair' ), // %s = plugin name.
            'oops' => esc_html__( 'Something went wrong with the plugin API.', 'irepair' ),
            'notice_can_install_required' => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'irepair' ), // %1$s = plugin name(s).
            'notice_can_install_recommended' => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'irepair' ), // %1$s = plugin name(s).
            'notice_cannot_install' => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'irepair' ), // %1$s = plugin name(s).
            'notice_can_activate_required' => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'irepair' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'irepair' ), // %1$s = plugin name(s).
            'notice_cannot_activate' => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'irepair' ), // %1$s = plugin name(s).
            'notice_ask_to_update' => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'irepair'), // %1$s = plugin name(s).
            'notice_cannot_update' => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'irepair' ), // %1$s = plugin name(s).
            'install_link' => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'irepair' ),
            'activate_link' => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'irepair' ),
            'return' => esc_html__( 'Return to Required Plugins Installer', 'irepair' ),
            'plugin_activated' => esc_html__( 'Plugin activated successfully.', 'irepair' ),
            'complete' => esc_html__( 'All plugins installed and activated successfully. %s', 'irepair' ), // %s = dashboard link.
            'nag_type' => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa($plugins, $config);

}
