<?php

remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15 );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 7 );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );

//remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
//add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 21 );
//remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
//add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 25 );

remove_action( 'woocommerce_before_shop_loop', 'woocommerce_output_all_notices', 10 );

add_action( 'woocommerce_before_shop_loop', 'irepair_woo_heading_wrapper_start', 5 );
add_action( 'woocommerce_before_shop_loop', 'irepair_woo_heading_wrapper_end', 40 );

// Hide default compare & wishlist button.
add_filter( 'woosw_button_position_archive', 'irepair_return_string_zero' );
add_filter( 'woosw_button_position_single', 'irepair_return_string_zero' );
add_filter( 'filter_woosc_button_archive', 'irepair_return_string_zero' );
add_filter( 'filter_woosc_button_single', 'irepair_return_string_zero' );

// Compare & wishlist button.
if ( irepair_use_wishlist() || irepair_use_compare() ) {
    add_action( 'woocommerce_single_product_summary', 'irepair_add_single_wishlist_compare_buttons', 31 );
}

function irepair_add_single_wishlist_compare_buttons() { ?>
    <div class="d-flex flex-wrap">
        <?php irepair_get_single_wishlist_button_template(); ?>
        <?php irepair_get_single_compare_button_template(); ?>
    </div>
<?php
}

function irepair_get_single_wishlist_button_template() {
    if ( irepair_use_wishlist() ) {
        global $product;
        $product_id = $product->get_id();
        ?>
        <span class="productCard__like mr-20">
            <?php echo do_shortcode( '[woosw id="' . $product_id . '" type="link"]' ); ?>
        </span>
    <?php
    }
}

function irepair_get_single_compare_button_template() {
    if ( irepair_use_compare() ) {
        global $product;
        $product_id = $product->get_id();
        ?>
        <span class="productCard__compare">
            <?php echo do_shortcode( '[woosc id="' . $product_id . '" type="link"]' ); ?>
        </span>
    <?php
    }
}

function irepair_get_archive_wishlist_button_template() {
    if ( irepair_get_option( 'show_shop_wishlist', true ) && irepair_use_wishlist() ) {
        global $product;
        $product_id = $product->get_id();
        ?>
        <div class="productCard__like" data-flow="down" data-tooltip="<?php esc_attr_e( 'add to wishlist', 'irepair' ); ?>">
            <?php echo do_shortcode( '[woosw id="' . $product_id . '" type="link"]' ); ?>
        </div>
    <?php
    }
}

function irepair_get_archive_compare_button_template() {
    if ( irepair_get_option( 'show_shop_compare', true ) && irepair_use_compare() ) {
        global $product;
        $product_id = $product->get_id();
        ?>
        <div class="productCard__compare" data-flow="down" data-tooltip="<?php esc_attr_e( 'compare', 'irepair' ); ?>">
            <?php echo do_shortcode( '[woosc id="' . $product_id . '" type="link"]' ); ?>
        </div>
    <?php
    }
}

function irepair_get_quick_view_button_template() {

    if ( irepair_get_option( 'show_shop_quick_view', true ) ) {

        if ( wp_is_mobile() ) {
            return;
        }

        global $product;
        $product_id = $product->get_id();
        ?>
        <div class="productCard__expand"
            data-product-id="<?php echo esc_attr( $product_id ); ?>"
            data-flow="down"
            data-tooltip="<?php esc_attr_e( 'quick view', 'irepair' ); ?>">
            <a href="#"></a>
        </div>
    <?php
    }
}

if ( irepair_get_option( 'show_shop_quick_view', true ) ) {
    add_action( 'wp_footer', 'irepair_woo_quick_view' );
}
function irepair_woo_quick_view() {

    get_template_part( 'template-parts/woocommerce/quick-view', 'popup' );
    wp_enqueue_script( 'wc-add-to-cart-variation' );

    return true;
}

add_action( 'wp_ajax_product_quick_view', 'get_product_quick_view_content' );
add_action( 'wp_ajax_nopriv_product_quick_view', 'get_product_quick_view_content' );

function get_product_quick_view_content() {
    if ( ! isset( $_REQUEST['prodid'] ) ) {
        die();
    }

    $productId = intval( $_REQUEST['prodid'] );

    $post_object = get_post( $productId );

    setup_postdata( $GLOBALS['post'] =& $post_object );

    ob_start();
    get_template_part( 'template-parts/woocommerce/quick-view', 'content' );
    $html = ob_get_contents();
    ob_clean();

    wp_reset_postdata();

    echo json_encode( $html );

    wp_die();
}

// header cart
if ( ! function_exists( 'irepair_get_header_cart' ) ) :
    function irepair_header_cart() {
        $count = WC()->cart->get_cart_contents_count();
        $add_class = ( empty( $count ) ) ? 'invisible' : '';
        ?>
        <a href="#" title="<?php echo esc_attr__( 'View your shopping cart', 'irepair' ); ?>">
            <i class="pix-icon-shopping-cart"></i><span class="badge pix-badge-cart <?php echo esc_attr( $add_class ); ?>"><?php echo esc_html( WC()->cart->get_cart_contents_count() ); ?></span>
        </a>
        <div class="menu__cart">
            <div class="widget_shopping_cart_content"></div>
        </div>
        <?php
    }
endif;

add_filter( 'woocommerce_add_to_cart_fragments', 'irepair_add_to_header_cart_fragment' );
function irepair_add_to_header_cart_fragment( $fragments ) {
    ob_start();
    if ( WC()->cart->get_cart_contents_count() > 0 ) {
        echo '<span class="badge pix-badge-cart">' . esc_html( WC()->cart->get_cart_contents_count() ) . '</span>';
    } else {
        echo '<span class="invisible badge pix-badge-cart">0</span>';
    }

    $fragments['.pix-badge-cart'] = ob_get_clean();

    return $fragments;
}

function irepair_get_percent_sale_price() {
    global $product;

    if ( $product->is_type( 'simple' ) || $product->is_type( 'external' ) ) {

        $regular_price = $product->get_regular_price();
        $sale_price = $product->get_sale_price();
        $percent = round( ( ( $regular_price - $sale_price ) / $regular_price ) * 100 );

        return '-' . $percent . '%';

    } else {
        return esc_html__( 'Sale!', 'irepair' );
    }
}

/**
 * Change number of related products output
 */
add_filter( 'woocommerce_output_related_products_args', 'irepair_related_products_args', 20 );
function irepair_related_products_args( $args ) {
    $args['posts_per_page'] = 15;
    return $args;
}

function irepair_woo_heading_wrapper_start() {
    echo '<div class="catalog__title">';
}

function irepair_woo_heading_wrapper_end() {
    echo '</div>';
}

// brand add thumbnail
add_action( 'admin_head', 'irepair_admin_head_thumb' );
function irepair_admin_head_thumb() {
    $taxonomies = get_taxonomies();
    $taxonomies = array( 'pix-product-brand' );
    if ( is_array( $taxonomies ) ) {
        foreach ( $taxonomies as $taxonomy ) {
            add_action( $taxonomy . '_add_form_fields', 'irepair_product_brand_tax_field' );
            add_action( $taxonomy . '_edit_form_fields', 'irepair_product_brand_tax_field' );
        }
    }
}

function irepair_product_brand_tax_field( $taxonomy ) {
    if ( is_object( $taxonomy ) ) {
        // Get WordPress' media upload URL
        $upload_link = esc_url( get_upload_iframe_src( 'image', $taxonomy->term_id ) );
        $thumb_id = absint( get_term_meta( $taxonomy->term_id, 'thumbnail_id', true ) );
        ?>
        <tr id="pix-product-brand-thumb-wrap" class="form-field term-pix-thumb-wrap">
            <th scope="row" valign="top"><p class="pix-margin-top-xs"><?php echo esc_html__( 'Thumbnail', 'irepair' ); ?></p></th>
            <td>
                <input class="pix-thumb-id" name="irepair_product_brand_thumb_id" type="hidden" value="<?php echo esc_attr( $thumb_id ); ?>" />

                <div class="hide-if-no-js pix-margin-top-xs">
                    <button data-input="<?php echo esc_url( $upload_link ); ?>" class="btn pix-image-upload pix-btn-icon <?php if ( ! empty( $thumb_id ) ) { echo 'hidden'; } ?>"><i class="far fa-image"></i><span><?php echo esc_html__( 'Upload image', 'irepair' ); ?></span></button>
                    <button type="button" class="btn pix-image-delete pix-btn-icon <?php if ( empty( $thumb_id )  ) { echo 'hidden'; } ?>"><i class="fas fa-trash-alt"></i></button>
                </div>

                <div class="pix-thumb-container pix-margin-top-xs">
                    <?php if ( ! empty( $thumb_id ) ) : ?>
                        <?php $thumb_url = wp_get_attachment_image_src( $thumb_id, 'full' )[0]; ?>
                        <img src="<?php echo esc_url( $thumb_url ); ?>" alt="<?php echo esc_attr__( 'Image', 'irepair' ); ?>" />
                    <?php endif; ?>
                </div>

            </td>
        </tr>
    <?php
    } else {
    ?>
        <div id="pix-product-brand-thumb-wrap" class="form-field term-pix-thumb-wrap">
            <p class="pix-margin-top-xs"><?php echo esc_html__( 'Thumbnail', 'irepair' ); ?></p>
            <input class="pix-thumb-id" name="irepair_product_brand_thumb_id" type="hidden" value="" />

            <div class="hide-if-no-js pix-margin-top-xs">
                <button data-input="" class="btn pix-image-upload pix-btn-icon"><i class="far fa-image"></i><span><?php echo esc_html__( 'Upload image', 'irepair' ); ?></span></button>
                <button type="button" class="btn pix-image-delete pix-btn-icon hidden"><i class="fas fa-trash-alt"></i></button>
            </div>

            <div class="pix-thumb-container pix-margin-top-xs">
            </div>
            <script type="text/javascript">

                jQuery( document ).ajaxComplete( function( event, request, options ) {
                    if ( request && 4 === request.readyState && 200 === request.status
                        && options.data && 0 <= options.data.indexOf( 'action=add-tag' ) ) {

                        var res = wpAjax.parseAjaxResponse( request.responseXML, 'ajax-response' );
                        if ( ! res || res.errors ) {
                            return;
                        }
                        // Clear Thumbnail fields on submit
                        jQuery( '#pix-product-brand-thumb-wrap .pix-thumb-container' ).find( 'img' ).hide();
                        jQuery( '#pix-product-brand-thumb-wrap .pix-thumb-id' ).val( '' );
                        jQuery( '#pix-product-brand-thumb-wrap .pix-image-upload' ).show();
                        jQuery( '#pix-product-brand-thumb-wrap .pix-image-delete' ).hide();
                        return;
                    }
                } );

            </script>
            <div class="clear"></div>
        </div>
    <?php
    }
}

add_action( 'edit_term', 'irepair_save_tax_thumb', 10, 3 );
add_action( 'create_term', 'irepair_save_tax_thumb', 10, 3 );
function irepair_save_tax_thumb( $term_id, $tt_id = '', $taxonomy = '' ) {
    if ( isset( $_POST['irepair_product_brand_thumb_id'] ) && 'pix-product-brand' === $taxonomy ) {
        update_term_meta( $term_id, 'thumbnail_id', absint( $_POST['irepair_product_brand_thumb_id'] ) );
    }
}


add_filter( 'manage_edit-pix-product-brand_columns', 'irepair_product_brand_columns' );
add_filter( 'manage_pix-product-brand_custom_column', 'irepair_product_brand_custom_column', 10, 3 );

function irepair_product_brand_columns( $columns ) {
    unset(
        $columns['cb']
    );
    $new_columns = array(
        'cb' => '<input type="checkbox" />',
        'thumbnail' =>  esc_html__( 'Thumbnail', 'irepair' ),
    );
    return array_merge( $new_columns, $columns );
}

function irepair_product_brand_custom_column( $c, $column_name, $term_id ) {
    $thumb_id = absint( get_term_meta( $term_id, 'thumbnail_id', true ) );
    switch ( $column_name ) {

        case "thumbnail":  ;
            if ( ! empty( $thumb_id ) ) {
                $thumb_url = wp_get_attachment_thumb_url( $thumb_id );
                echo '<img src="' . esc_url( $thumb_url ) . '" class="product_brand_img">';
            }
            break;

        default:
            break;
    }

}

function irepair_filter_date_posts_where( $where = '', $query ) {
    $label = $query->query['query_label'] ?? '';
    if ( 'irepair_products_widgets_query' === $label ) {
        $days = irepair_get_option( 'shop_badge_new_days', '30' );
        $date = date( "Y-m-d", strtotime("-{$days} days") );
        $where .= " AND post_date > '" . esc_attr( $date ) . "'";
    }
    return $where;
}

// product extended ajax filter
add_action( 'wp_ajax_add_products', 'irepair_add_products' );
add_action( 'wp_ajax_nopriv_add_products', 'irepair_add_products' );
function irepair_add_products() {
    $current_query = ( ! empty( $_POST['query'] ) ) ? esc_attr( $_POST['query'] ) : false;
    $current_term_id = ( ! empty( $_POST['termid'] ) ) ? esc_attr( $_POST['termid'] ) : 'all';
    $current_taxonomy = ( ! empty( $_POST['taxonomy'] ) ) ? esc_attr( $_POST['taxonomy'] ) : 'product_cat';
    $product_type = ( ! empty( $_POST['type'] ) ) ? esc_attr( $_POST['type'] ) : 'all';
    $style = ( ! empty( $_POST['style'] ) ) ? esc_attr( $_POST['style'] ) : 0;

    if ( ! $current_query ) {
        die();
    }

    $current_query = json_decode( wp_specialchars_decode( stripslashes( $current_query ), ENT_COMPAT ), true );

    if ( 'all' === $current_term_id ) :

        $args = $current_query;

    else :

        $args = array(
                'post_type' => $current_query['post_type'],
                'post_status' => $current_query['post_status'],
                'paged' => $current_query['paged'],
                'posts_per_page' => $current_query['posts_per_page'],
                'order' => $current_query['order'],
                'orderby' => $current_query['orderby'],
                'tax_query' => array(
                    array(
                        'taxonomy' => $current_taxonomy,
                        'field'    => 'id',
                        'terms'    => $current_term_id
                    )
                )
            );

    endif;

    $product_visibility_terms  = wc_get_product_visibility_term_ids();
    $product_visibility_not_in = array( $product_visibility_terms['exclude-from-catalog'] );

    // Hide out of stock products.
    if ( 'yes' === get_option( 'woocommerce_hide_out_of_stock_items' ) ) {
        $product_visibility_not_in[] = $product_visibility_terms['outofstock'];
    }

    if ( ! empty( $product_visibility_not_in ) ) {
        $args['tax_query'][] = [
            'taxonomy' => 'product_visibility',
            'field'    => 'term_taxonomy_id',
            'terms'    => $product_visibility_not_in,
            'operator' => 'NOT IN',
        ];
    }

    if ( 'onsale' === $product_type ) :
        $product_ids_on_sale = wc_get_product_ids_on_sale();
        $product_ids_on_sale[] = 0;
        $args['post__in'] = $product_ids_on_sale;
    endif;

    if ( 'featured' === $product_type ) :
        $product_visibility_term_ids = wc_get_product_visibility_term_ids();
        $product_featured = [
            'taxonomy' => 'product_visibility',
            'field' => 'term_taxonomy_id',
            'terms' => $product_visibility_term_ids['featured']
        ];
        $args['tax_query'][] = $product_featured;
    endif;

    if ( 'new' === $product_type ) :
        $args['query_label'] = 'irepair_products_widgets_query';
        add_filter( 'posts_where', 'irepair_filter_date_posts_where', 10, 2 );
    endif;

    if ( ! empty( $args['tax_query'] ) ) :
        $args['tax_query']['relation'] = 'AND';
    endif;

    $products_query = new WP_Query( $args );

    if ( $products_query->have_posts() ) :

        while ( $products_query->have_posts() ) :
            $products_query->the_post();

            echo '<div class="swiper-slide">';
            if($style == 1){
                get_template_part( 'template-parts/woocommerce/content-product', 'icons-center' );
            } else {
                wc_get_template_part( 'content', 'product' );
            }
            echo '</div>';

        endwhile;

    else :

        echo '<div class="swiper-slide">';
        get_template_part( 'template-parts/elementor/woocommerce/content-product', 'not-found' );
        echo '</div>';

    endif;

    wp_reset_postdata();

    wp_die();
}

if ( ! function_exists( 'irepair_product_taxonomy_count' ) ) :
function irepair_product_taxonomy_count( $term_id = false, $taxonomy = 'product_cat' ) {
    if ( $term_id === false ) {
        return false;
    }

    $args = array(
        'post_type' => 'product',
        'posts_per_page' => -1,
        'tax_query' => array(
            array(
                'taxonomy'  => $taxonomy,
                'field'     => 'term_id',
                'terms'     => $term_id
            ),
        ),
    );

    $product_visibility_terms  = wc_get_product_visibility_term_ids();
    $product_visibility_not_in = array( $product_visibility_terms['exclude-from-catalog'] );

    // Hide out of stock products.
    if ( 'yes' === get_option( 'woocommerce_hide_out_of_stock_items' ) ) {
        $product_visibility_not_in[] = $product_visibility_terms['outofstock'];
    }

    if ( ! empty( $product_visibility_not_in ) ) {
        $args['tax_query'][] = [
            'taxonomy' => 'product_visibility',
            'field'    => 'term_taxonomy_id',
            'terms'    => $product_visibility_not_in,
            'operator' => 'NOT IN',
        ];
    }

    if ( ! empty( $args['tax_query'] ) ) :
        $args['tax_query']['relation'] = 'AND';
    endif;

    $prods = get_posts( $args );

    $i = count( $prods );

    return $i;
}
endif;

add_filter( 'woocommerce_widget_get_current_page_url', 'irepair_view_filter_get_current_page_url', 10, 2 );
function irepair_view_filter_get_current_page_url( $link, $that ) {
    if ( isset( $_GET['products_view'] ) && ! empty( $_GET['products_view'] ) ) {
        $value = $_GET['products_view'];
        $link = add_query_arg( 'products_view', esc_attr( $value ), $link );
    }
    return $link;
}

add_filter( 'woocommerce_product_get_rating_html', 'irepair_change_woocommerce_product_get_rating_html', 10, 3 );
function irepair_change_woocommerce_product_get_rating_html( $html, $rating, $count ) {
    if ( 0 == $rating ) {
        /* translators: %s: rating */
        $label = esc_html__( 'No rating yet', 'irepair' );
        $html  = '<div class="star-rating" role="img" aria-label="' . esc_attr( $label ) . '">
            <span class="pix-no-rating">' . esc_html( $label ) . '</span>
        </div>';
    }
    return $html;
}

function irepair_get_elementor_woo_placeholder_html( $settings = null, $size = 'woocommerce_thumbnail'  ) {
    if ( empty( $settings ) || ! class_exists( '\Elementor\Group_Control_Image_Size' ) ) {
        return;
    }

    $thumbnail_html = '';
    $placeholder_id = '';

    $placeholder_image = get_option( 'woocommerce_placeholder_image', 0 );
    if ( ! empty( $placeholder_image ) ) {
        if ( is_numeric( $placeholder_image ) ) {
            $placeholder_id = $placeholder_image;
        }
    }

    if ( isset( $settings[ 'image_size_default' ] ) && '1' === $settings['image_size_default'] ) {
        $thumbnail_html = sprintf( '<img src="%s" alt="%s" />', wc_placeholder_img_src(), esc_attr__( 'Placeholder', 'irepair' ) );
    } elseif  ( ! empty( $placeholder_id  ) ) {
        $settings['image_size'] = [
            'id' => $placeholder_id ,
        ];
        $thumbnail_html = \Elementor\Group_Control_Image_Size::get_attachment_image_html( $settings, 'image_size' );
    } else {
        $thumbnail_html = sprintf( '<img src="%s" alt="%s" />', wc_placeholder_img_src(), esc_attr__( 'Placeholder', 'irepair' ) );
    }
    ?>
    <?php echo wp_kses( $thumbnail_html, 'irepair-img' ); ?>
    <?php
}

add_filter( 'woocommerce_format_sale_price', 'irepair_woo_format_sale_price', 10, 3 );
function irepair_woo_format_sale_price( $price, $regular_price, $sale_price ) {
    if ( ! is_singular( 'product' ) ) {
        return $price;
    }
    $price = '<ins>' . ( is_numeric( $sale_price ) ? wc_price( $sale_price ) : $sale_price ) . '</ins> <del>' . ( is_numeric( $regular_price ) ? wc_price( $regular_price ) : $regular_price ) . '</del>';
    return $price;
}

add_filter( 'woocommerce_cart_item_thumbnail', 'irepair_change_image_size_in_cart', 10, 2 );
function irepair_change_image_size_in_cart( $product_image, $cart_item ) {
	
    $product = $cart_item['data'];
    $product_image = $product->get_image( 'irepair-thumb-small' );
	
	return $product_image;
}