<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section
 *
 * @link     https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="profile" href="https://gmpg.org/xfn/11" />
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <?php
        wp_body_open();
        ?>
        <?php if ( ( 'usemain' === irepair_get_option( 'loader', 'useall' ) && is_front_page() ) || 'useall' === irepair_get_option( 'loader', 'useall' ) ) : ?>
        <div class="preloader">
            <?php if(irepair_get_option('loader_img', '') != '') : ?>
            <div class="pix-pulse"></div>
            <?php else : ?>
            <div class="pix-loading"></div>
            <?php endif; ?>
        </div>
        <?php endif; ?>
        <div class="irepair">
            <?php get_template_part( 'template-parts/header/header' );
