<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link    https://codex.wordpress.org/Template_Hierarchy
 *
 */

get_header();

$irepair_get_layout = irepair_get_layout();
$irepair_layout = $irepair_get_layout['layout'];
$irepair_sidebar = $irepair_get_layout['sidebar'];
$irepair_layout_class = $irepair_get_layout['class'];
?>

    <section class="section">
        <div class="container">
            <div class="section__inner">
                <div class="row">
                    <div class="<?php echo esc_attr( $irepair_layout_class ); ?>">

                        <?php
                        if ( have_posts() ) :

                            // Start the Loop.
                            while ( have_posts() ) : the_post();

                                get_template_part( 'template-parts/content', 'default' );

                            endwhile;

                        else:
                            // If no content, include the "No posts found" template.
                            get_template_part( 'template-parts/content', 'none' );

                        endif;

                        the_posts_pagination( array(
                            'prev_text' => '<i class="pix-icon-left-arrow"></i>',
                            'next_text' => '<i class="pix-icon-right-arrow"></i>',
                        ) );
                        ?>

                    </div>
                    <?php irepair_show_sidebar( $irepair_layout, $irepair_sidebar ); ?>
                </div>
            </div>
        </div>
    </section>

<?php get_footer();
