<?php
/**
 * The template for displaying all single portfolio posts.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 */

get_header();
?>

    <section class="section">
        <div class="container">
            <div class="section__inner">
                <div class="project">
                    <?php

                    while ( have_posts() ) : the_post();

                        get_template_part( 'template-parts/portfolio/content', 'single' );

                    endwhile;

                    ?>
                </div>
            </div>
            <?php
            $irepair_all_projects_id = irepair_get_option( 'archive_portfolio_page', 'default' );
            ?>
            <div class="project__nav">
            	<div class="project__navPrev">
	            	<?php next_post_link( '%link',
	            	'<span class="project__navIcon"><i class="pix-icon-left-arrow"></i></span>
	            	<span class="project__navLink"><small class="text-muted">' . esc_html__( 'Next project', 'irepair' ) . '</small>'
	            	. '%title' .
	            	'</span>'
	            	); ?>
            	</div>
                <div class="project__navProjects">
                	<?php
                    if ( $irepair_all_projects_id != 'default' ) :
                        if ( function_exists( 'icl_object_id' ) ) :
                            $irepair_all_projects_id = icl_object_id( $irepair_all_projects_id, 'page', true );
                        endif;
                        ?>
                        <a href="<?php echo esc_url( get_page_link( $irepair_all_projects_id ) ); ?>"><i class="fas fa-th-large"></i></a>
                        <?php
                    else :
                    ?>
                    <a href="<?php echo get_post_type_archive_link( 'pix-portfolio' ); ?>"><i class="fas fa-th-large"></i></a>
                    <?php endif; ?>
                </div>
                <div class="project__navNext">
                	<?php previous_post_link( '%link',
                		'<span class="project__navIcon"><i class="pix-icon-right-arrow"></i></span>
                		<span class="project__navLink"><small class="text-muted">' . esc_html__( 'Previous project', 'irepair' ) . '</small>'
                		. '%title' .
                		'</span>'
                	); ?>
                </div>
            </div>
            <div class="relatedProjects">
            	<?php if ( irepair_get_option( 'use_portfolio_related', true ) ) : ?>
            		<?php
	                $pix_portfolio_taxterms = wp_get_object_terms( $post->ID, 'pix-portfolio-category', array('fields' => 'ids') );

	                $args = array(
	                    'post_type' => 'pix-portfolio',
	                    'post_status' => 'publish',
	                    'posts_per_page' => 3,
	                    'orderby' => 'rand',
	                    'tax_query' => array(
	                        array(
	                            'taxonomy' => 'pix-portfolio-category',
	                            'field' => 'id',
	                            'terms' => $pix_portfolio_taxterms
	                        )
	                    ),
	                    'post__not_in' => array ($post->ID),
	                );

	                $related_query = new WP_Query( $args );

	                if ( $related_query->have_posts() ) :
	                ?>
	                <div class="relatedProjects__posts">
	                	<?php
                        while ( $related_query->have_posts() ) :
                            $related_query->the_post();
                            get_template_part( 'template-parts/portfolio/related' );
                        endwhile;
                        ?>
	                </div>
	                <?php endif; ?>
                <?php endif; ?>
            </div>
        </div>
    </section>

<?php get_footer();
