<?php
/**
 * The template for displaying all single posts.
 *
 * @link    https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 */

get_header();

$irepair_get_layout = irepair_get_layout();
$irepair_layout = $irepair_get_layout['layout'];
$irepair_sidebar = $irepair_get_layout['sidebar'];
$irepair_layout_class = $irepair_get_layout['class'];
?>

    <section class="section">
        <div class="container">
            <div class="section__inner">
                <div class="row">
                    <div class="<?php echo esc_attr( $irepair_layout_class ); ?>">

                        <?php

                        while ( have_posts() ) : the_post();

                            if ( is_singular( 'post' ) ) :

                                get_template_part( 'template-parts/post-single/content' );

                                //If comments are open or we have at least one comment, load up the comment template.
                                if ( irepair_get_option( 'show_post_comments', true ) && ( comments_open() || get_comments_number() ) ) :
                                    comments_template();
                                endif;

                            else :

                                get_template_part( 'template-parts/content', 'single' );

                            endif;

                        endwhile;

                        ?>

                    </div>
                    <?php irepair_show_sidebar( $irepair_layout, $irepair_sidebar ); ?>
                </div>
            </div>
        </div>
    </section>

<?php get_footer();
