<?php
if ( isset( $settings ) ) {
    $image_size = 'irepair-' . esc_attr( $settings['image_proportions'] ) . '-thumb';
} else {
    $image_size = irepair_get_option( 'portfolio_archive_image_proportions', 'square' );
    $image_size = 'irepair-' . esc_attr( $image_size ) . '-thumb';
}

$irepair_add_class = ( has_post_thumbnail() ) ? 'mb-30' : '';

$cats = wp_get_object_terms( get_the_id(), 'pix-portfolio-category' );
if ( ! empty( $cats ) ) {
    foreach ( $cats as $cat ) {
        $irepair_add_class .= " " . $cat->slug;
    }
}
?>

<div class="col <?php echo esc_attr( $irepair_add_class ); ?>">
    <div class="projects__item">
        <div class="projects__itemImg">
        <?php if ( has_post_thumbnail() ) : ?>
            <?php
            if ( isset( $settings ) && isset( $settings[ 'image_size_default' ] ) ) :
                irepair_get_elementor_attachment_image_html( $settings, get_post_thumbnail_id(), $image_size );
            else :
                the_post_thumbnail( $image_size );
            endif;
        endif;
        ?>
        </div>
        <div class="projects__itemInfo">
            <div class="projects__itemTitle"><?php the_title(); ?></div>
            <div class="projects__itemText"><?php echo irepair_limit_words( get_the_excerpt(), 20 ); ?></div>
            <?php
            $irepair_project_icon_url = ! empty( $irepair_project_icon_id = irepair_get_post_meta( 'project_icon' ) ) ? wp_get_attachment_image_src( $irepair_project_icon_id, 'irepair-thumb-limit-height-small' )[0] : '';
            if ( $irepair_project_icon_url ) :
                ?>
                <div class="projects__itemLogo"><img src="<?php echo esc_url( $irepair_project_icon_url ); ?>" alt="<?php the_title_attribute(); ?>" /></div>
                <?php
            endif;
            ?>
            <a href="<?php the_permalink(); ?>"></a>
        </div>
    </div>
</div>