<?php
/**
 * Loop Add to Cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/add-to-cart.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $product;

$args[ 'class' ] =  implode(
                        ' ',
                        array_filter(
                            array(
                                '',
                                'product_type_' . $product->get_type(),
                                $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
                                $product->supports( 'ajax_add_to_cart' ) && $product->is_purchasable() && $product->is_in_stock() ? 'ajax_add_to_cart' : '',
                            )
                        )
                    );

echo apply_filters(
    'woocommerce_loop_add_to_cart_link', // WPCS: XSS ok.
    sprintf(
        '<div class="productCard__cart" data-flow="down" data-tooltip="%s"><a href="%s" class="%s" data-quantity="%s" %s></a></div>',
        esc_html( $product->add_to_cart_text() ),
        esc_url( $product->add_to_cart_url() ),
        esc_attr( isset( $args['class'] ) ? $args['class'] : '' ),
        esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
        isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : ''
    ),
    $product,
    $args
);
