<?php
/**
 * Displayed when no products are found matching the current query
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/no-products-found.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 2.0.0
 */

defined( 'ABSPATH' ) || exit;

?>

<div class="alert alert-danger mb-40" role="alert">
    <div class="d-flex align-items-center justify-content-between">
        <div><b class="mr-30"><?php echo esc_html__( 'No products were found.', 'irepair' ); ?></b>
            <?php echo ( isset( $_GET['s'] ) ) ? '<span class="d-block">' . esc_html__( 'No items matched your search', 'irepair' ) . ' <b>"' . esc_html( $_GET['s'] ) . '".</b></span>' : ''; ?>
            <span class="d-block"><?php echo esc_html__( 'Check your spelling or search again with less specific terms.', 'irepair' ) ?></span>
        </div>
        <a class="btn btn-danger" href="<?php echo get_permalink( wc_get_page_id( 'shop' ) ); ?>"><?php echo esc_html__( 'Return To Shop', 'irepair' ) ?></a>
    </div>
</div><img class="ml-xl-150 mr-xl-150 mb-0" src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/img/ooops.svg" alt="<?php echo esc_attr__( 'Nothing found', 'irepair' ) ?>">
