<?php
/**
 * Show options for ordering
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/orderby.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( array_key_exists( 'products_view', $_GET ) ) {
    $irepair_catalog_view = $_GET['products_view'];
} else {
    $irepair_catalog_view = 'cards';
}
?>

<div class="catalog__sorting">
    <form class="woocommerce-ordering" method="get">
        <select name="orderby" class="custom-select custom-select-sm orderby" aria-label="<?php esc_attr_e( 'Shop order', 'irepair' ); ?>">
            <?php foreach ( $catalog_orderby_options as $id => $name ) : ?>
                <option value="<?php echo esc_attr( $id ); ?>" <?php selected( $orderby, $id ); ?>><?php echo esc_html( $name ); ?></option>
            <?php endforeach; ?>
        </select>
        <input type="hidden" name="paged" value="1" />
        <?php wc_query_string_form_fields( null, array( 'orderby', 'submit', 'paged', 'product-page' ) ); ?>
    </form>
</div>

<div class="catalog__icons">
    <a <?php if ( 'cards' === $irepair_catalog_view ) { ?>class="active"<?php } ?> href="<?php echo esc_url( add_query_arg( 'products_view', 'cards' ) ); ?>"><i class="pix-icon-cards"></i></a>
    <a <?php if ( 'list' === $irepair_catalog_view ) { ?>class="active"<?php } ?> href="<?php echo esc_url( add_query_arg( 'products_view', 'list' ) ); ?>"><i class="pix-icon-detailedlist"></i></a>
</div>
