<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $product;

$irepair_product_sku = ( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'irepair' );
?>
<div class="product_meta">

    <?php do_action( 'woocommerce_product_meta_start' ); ?>

    <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

        <div><span><?php esc_html_e( 'SKU:', 'irepair' ); ?> <span class="text-muted"><?php echo esc_html( $irepair_product_sku ); ?></span></span></div>

    <?php endif; ?>

    <?php if ( irepair_get_option( 'show_product_categories', true ) ) : ?>
    <?php echo wc_get_product_category_list( $product->get_id(), ', ', '<div><span class="posted_in text-muted"><span class="text-body">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'irepair' ) . ' </span>', '</span></div>' ); ?>
    <?php endif; ?>

    <?php if ( irepair_get_option( 'show_product_tags', true ) ) : ?>
    <?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<div><span class="tagged_as text-muted"><span class="text-body">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'irepair' ) . ' </span>', '</span></div>' ); ?>
    <?php endif; ?>
    
    <?php if ( irepair_get_option( 'show_product_share', true ) && shortcode_exists( 'pix_share' )  ) : ?>
        <div class="fullprod__share">
            <div class="fullprod__shareBtn"></div>
            <div class="fullprod__shareSocial">
                <?php echo do_shortcode( '[pix_share]' ); ?>
            </div>
        </div>
    <?php endif; ?>

    <?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
