<?php
/**
 * Single Product Sale Flash
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/sale-flash.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

global $post, $product;
$out = '';

if ( ! $product->is_in_stock() ) {

    $out .= '<span class="productCard__badge soldout">' . esc_html__( 'Sold out', 'irepair' ) . '</span>';

} else {

    if ( $product->is_featured() && irepair_get_option( 'show_shop_badge_hot', true ) ) {
        $out .= '<span class="productCard__badge hot">' . esc_html__( 'Hot', 'irepair' ) . '</span>';
    }

    if ( $product->is_on_sale() && irepair_get_option( 'show_shop_badge_sale', true ) ) {
        $percent_sale = irepair_get_percent_sale_price();
        $out .= apply_filters( 'woocommerce_sale_flash', '<span class="productCard__badge discount">' . esc_html( $percent_sale ) . '</span>', $post, $product );
    }

    if ( irepair_get_option( 'show_shop_badge_new', true ) ) {
        $days = irepair_get_option( 'shop_badge_new_days', '30' );
        $post_date_mark = strtotime( get_the_time( 'Y-m-d H:i', $product->get_id() ) );

        if ( ( time() - ( 60 * 60 * 24 * $days ) ) < $post_date_mark ) {
            $out .= '<span class="productCard__badge new">' . esc_html__( 'New', 'irepair' ) . '</span>';
        }
    }

}

if ( $out !== '' ) {
    echo '<div class="productCard__badges">' . wp_kses( $out, 'irepair-default' ) . '</div>';
}
