<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( $upsells ) : ?>

    <div class="fullprod__upsells pix-swiper">
        <?php
        $heading = apply_filters( 'woocommerce_product_upsells_products_heading', esc_html__( 'You may also like', 'irepair' ) );
        ?>
        <div class="fullprod__upsellsTitle">
            <?php if ( $heading ) : ?>
                <h4><?php echo esc_html( $heading ); ?></h4>
            <?php endif; ?>
            <div class="arrows"><div class="arrows__btn-prev"></div><div class="arrows__btn-next"></div></div>
        </div>

        <div class="fullprod__upsellsSlider swiper-container">
            <div class="swiper-wrapper">

                <?php foreach ( $upsells as $upsell ) : ?>

                    <?php
                    $post_object = get_post( $upsell->get_id() );

                    setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found
                    ?>
                    <div class="swiper-slide">
                        <?php wc_get_template_part( 'content', 'product' ); ?>
                    </div>

                <?php endforeach; ?>

            </div>
        </div>

    </div>

    <?php
endif;

wp_reset_postdata();
